'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');
const mock = require('./mock-8d39a9e5.js');

const footerFirstItemCss = "";

const FooterFirstItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h("div", null, index.h("span", { class: "foot-nav-link", onClick: () => this.clickOnMenu.emit({ place: "footerItem", item: this.arr }) }, this.arr.name)));
    }
};
FooterFirstItem.style = footerFirstItemCss;

const footerWrapperCss = ".foot-nav-link-child{margin-left:15px;font-size:14px;font-weight:400}.footer-title-child{color:#39374d;font-size:16px;font-weight:500}";

const FooterWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h(FooterBlock, { title: this.footer.title, links: this.footer.links, name: this.footer.name, id: this.footer.id }));
    }
};
/**
 * Общая обертка для блока в подвале
 * */
const FooterBlock = (props) => {
    const { title, links, name } = props;
    const currentName = title ? title : name;
    return (index.h("div", null, index.h("div", { class: "footer-title" }, currentName), index.h("div", { class: "footer-item" }, index.h("div", null, index.h(FooterValue, { arr: links })))));
};
/**
 * решаем, который блок должен выходить в браузере - родоительский/дочерний (если есть)
 * */
const FooterValue = (props) => {
    return props.arr.map((item) => {
        if (item.links) {
            return (index.h(SubFooterBlock, { links: item.links, name: item.name }));
        }
        else {
            return index.h("footer-first-item", { arr: item });
        }
    });
};
/**
 * блок куда будет помещен дочерний блок
 * */
const SubFooterBlock = (props) => {
    return (index.h("div", null, index.h("div", { class: "footer-title" }, props.name), index.h("div", { onClick: () => undefined.clickOnMenu.emit() }, props.links.map((item) => {
        return (index.h("div", { onClick: () => undefined.clickOnMenu.emit({ place: 'footerItem', item: undefined.item }), class: "foot-nav-link" }, item.name));
    }))));
};
FooterWrapper.style = footerWrapperCss;

const menuItemCss = ".header-nav{-ms-flex-pack:justify;justify-content:space-between}.nav-link.header{cursor:pointer}";

const MenuItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h("li", { class: "nav-item", onClick: () => this.clickOnMenu.emit(this.arr) }, index.h("a", { class: "nav-link header " }, this.arr.name)));
    }
};
MenuItem.style = menuItemCss;

const sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.custom-links{cursor:pointer}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:10px;margin-top:5px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease;cursor:pointer}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";

const SSaqhanAppFooter = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row footer" }, index.h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, index.h("div", { class: "footer-info" }, this.footerInfo.title), index.h("div", { class: "footer-soc" }, index.h("div", { class: "template-demo" }, index.h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, index.h("i", { class: "fab fa-facebook-f" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, index.h("i", { class: "fab fa-youtube" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-instagram" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-twitter" }))))), index.h(FooterFirst, { footer: this.footerItems }), index.h("div", { class: "col-12 pt-5" }, index.h("div", { class: "choose-language text-muted small" }, index.h("a", { class: "pr-3 custom-links", onClick: (event) => this.clickOnMenu.emit({ place: "footer copyright", event }) }, index.h("i", { class: "fas fa-globe-africa" }), " ", this.footerCopyright.title, index.h("br", null), this.footerCopyright.description))))));
    }
};
const FooterFirst = (props) => {
    return props.footer.slice(0, 4).map((item) => {
        return (index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("footer-wrapper", { footer: item })));
    });
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;

const sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}.blog-title{margin-top:15px;font-weight:600}.btn-read{margin-top:10px}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:pointer}@media (max-width: 375px){.blog-img{width:100%}}@media (max-width: 320px){.blog-img,.blog-card{width:100%}}";

const SSaqhanBlogCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small  custom-links";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    render() {
        return (index.h("div", { class: "blog-card" }, index.h("div", { class: "blog-img custom-links", style: { backgroundImage: `url( ${this.post.img})` }, onClick: () => this.clickOnNews.emit({ place: "img", item: this.post }) }), index.h("span", { class: this.ColorCategory(this.post.category), onClick: () => this.clickOnCategoryNews.emit({
                place: "category",
                item: this.post,
            }) }, this.post.category), index.h("div", { class: "blog-title " }, index.h("span", { onClick: () => this.clickOnNews.emit({ place: "title", item: this.post }), class: "custom-links" }, this.post.title)), index.h("div", { class: "btn-read" }, index.h("span", { class: "custom-links", onClick: () => this.clickOnNews.emit({ place: "btn-read", item: this.post }) }, " ", this.post.btnText, " "))));
    }
};
SSaqhanBlogCard.style = sSaqhanBlogCardCss;

const sSaqhanChatAddQuestionCss = ".btn-new-ask{text-align:center;margin-top:10px}.btn-add-question{border-radius:30px;padding:10px 30px;border:none;background-color:#72b94d;color:#ffffff;text-transform:uppercase;font-size:12px;outline:none;letter-spacing:1px}";

const SSaqhanChatAddQuestion = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "btn-new-wrap" }, index.h("div", { class: "btn-new-ask" }, index.h("button", { class: "btn-add-question" }, "\u0417\u0430\u0434\u0430\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0432\u043E\u043F\u0440\u043E\u0441"))));
    }
};
SSaqhanChatAddQuestion.style = sSaqhanChatAddQuestionCss;

const sSaqhanChatAppCss = ".wrapper-modal{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end;-ms-flex-direction:column;flex-direction:column;position:fixed;top:2%;right:2%;z-index:999}.btn-open{width:60px;height:60px;font-size:24px;border:none;background-color:#72b94d;color:#fff;border-radius:50%;outline:none !important;cursor:pointer}.open-chat{text-align:right;z-index:999;position:fixed;right:10px;bottom:20px}.open-chat::after{content:\"1\";background-color:#c73f45;position:relative;top:-25px;left:-20px;color:#fff;font-size:12px;padding:5px 10px;border-radius:50%}.message{font-size:14px;height:21px;overflow:hidden;width:260px;margin-top:5px;white-space:nowrap;cursor:pointer}.user{display:-ms-flexbox;display:flex;cursor:pointer;-ms-flex-align:end;align-items:flex-end}.user-img{width:20%;margin:auto}.user-img .img{width:43px;height:43px;border-radius:50%;background-size:cover;margin:auto}.user-info{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;width:90%}.user-info .name{font-weight:500;font-size:13px}::-webkit-scrollbar{width:5px}::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.3);-webkit-border-radius:5px;border-radius:3px}::-webkit-scrollbar-thumb{-webkit-border-radius:10px;border-radius:10px;background:rgba(108, 108, 108, 0.8);-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.5)}::-webkit-scrollbar-thumb:window-inactive{background:rgba(106, 106, 106, 0.4)}@media (max-width: 414px){.wrapper-modal{top:0%;right:0%;max-width:414px}.wrapper-chat{width:414px}.personal-messages{height:80vh}.users{height:80vh}}@media (max-width: 375px){.wrapper-chat{max-width:375px;padding-right:0px}.users{padding:0px 10px}.new-mess{right:12%}}@media (max-width: 320px){.wrapper-chat{max-width:320px}.chat-header a{right:25%}.wrapper-chat{height:110vh}.message-date{font-size:11px}.users{padding:0px 25px}.personal-messages{padding:0 10px}}";

const SSaqhanChatApp = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * По умолчанию отображается вид с диалогами
         * */
        this.showContent = "users";
        this.close = index.createEvent(this, "close", 7);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
        this.clickOnSearchChat = index.createEvent(this, "clickOnSearchChat", 7);
    }
    render() {
        return (index.h("div", { class: "wrapper-modal" }, this.showChat ? (index.h("s-saqhan-chat-wrapper", { onSelectPersonal: () => this.onSelectPersonal(), onSelectUsers: () => this.onSelectUsers(), onSelectFiles: () => this.onSelectFiles(), onClose: () => this.onClose(), showContent: this.showContent })) : (""), index.h("div", { class: "btn-wrapper" }, index.h("div", { class: "open-chat" }, index.h("button", { onClick: () => this.isShowChat(), class: "btn-open" }, index.h("span", null, this.showChat ? (index.h("i", { class: "fas fa-times" })) : (index.h("i", { class: "far fa-comment-dots" }))))))));
    }
    /**
     * Метод для изменения состояния чата
     * */
    isShowChat() {
        this.showChat = !this.showChat;
    }
    /**
     * Метод для закрытия чата
     * */
    onClose() {
        this.showChat = false;
    }
    /**
     * Если кликнули на диалог и открываем личные сообщения пользователя
     * */
    onSelectPersonal() {
        return (this.showContent = "personal");
    }
    /**
     * Метод для открывания диалогов
     * */
    onSelectUsers() {
        return (this.showContent = "users");
    }
    /**
     * Метод для выбора раздела файлов
     * */
    onSelectFiles() {
        return (this.showContent = "files");
    }
};
SSaqhanChatApp.style = sSaqhanChatAppCss;

const sSaqhanChatFilesCss = ".wrapper-files{height:65vh;padding:0px 10px}.block-file{cursor:pointer}.chat-files .row{-ms-flex-align:center;align-items:center}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f0eb\";position:relative;left:20px;z-index:999;color:#5a5a5a}.block-file i{font-size:16px;color:#5a5a5a}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.file-card{padding-top:10px;border-bottom:1px solid #e5e5e5}.block-info{display:-ms-flexbox;display:flex;margin-bottom:15px}.file-date{font-size:14px;font-weight:500;margin-bottom:10px}.file-img{width:60px;height:60px;margin-right:15px;border-radius:3px;background-image:url(\"https://via.placeholder.com/500x500?text=Visit\")}.file-name{font-size:14px;font-weight:500;margin-bottom:10px}.file-size{font-size:12px;color:#5a5a5a}.block-files{display:-ms-flexbox;display:flex;width:75%;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between}.block-repost{-webkit-transition:0.3s easy;transition:0.3s easy}.block-repost a{display:none;color:#000;font-size:12px;margin-left:10px}.block-info:hover .block-repost a{display:inline-block;cursor:pointer}@media (max-width: 375px){.input-search{width:auto;padding:10px 30px}}@media (max-width: 320px){.wrapper-chat{width:320px}}";

const SSaqhanChatFiles = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "col-12 wrapper-files" }, index.h("div", { class: "file-card" }, index.h("div", { class: "file-date" }, "19 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), index.h("div", { class: "block-info" }, index.h("div", { class: "file-img" }), index.h("div", { class: "block-files" }, index.h("div", { class: "file-info" }, index.h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), index.h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), index.h("div", { class: "block-repost" }, index.h("a", { href: "#" }, index.h("i", { class: "fas fa-share" })), index.h("a", { href: "#" }, index.h("i", { class: "fas fa-download" })))))), index.h("div", { class: "file-card" }, index.h("div", { class: "file-date" }, "17 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), index.h("div", { class: "block-info" }, index.h("div", { class: "file-img" }), index.h("div", { class: "block-files" }, index.h("div", { class: "file-info" }, index.h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), index.h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), index.h("div", { class: "block-repost" }, index.h("a", { href: "#" }, index.h("i", { class: "fas fa-share" })), index.h("a", { href: "#" }, index.h("i", { class: "fas fa-download" }))))), index.h("div", { class: "block-info" }, index.h("div", { class: "file-img" }), index.h("div", { class: "block-files" }, index.h("div", { class: "file-info" }, index.h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), index.h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), index.h("div", { class: "block-repost" }, index.h("a", { href: "#" }, index.h("i", { class: "fas fa-share" })), index.h("a", { href: "#" }, index.h("i", { class: "fas fa-download" }))))))));
    }
};
SSaqhanChatFiles.style = sSaqhanChatFilesCss;

const sSaqhanChatFilesWrapperCss = "";

const SSaqhanChatFilesWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-chat-form-search-files", null), index.h("s-saqhan-chat-files", null)));
    }
};
SSaqhanChatFilesWrapper.style = sSaqhanChatFilesWrapperCss;

const sSaqhanChatFormSearchCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.block-input{width:80%;text-align:left;margin-right:-15px}.input-search{width:95%;border-radius:3px;border:none;background-color:#ececec;outline:none;color:#5a5a5a;padding-top:10px;padding-bottom:10px;padding-left:40px;margin-left:-10px}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:20px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.chat-files{}.input-search{width:auto;padding:10px 30px}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.block-input{text-align:center}}";

const SSaqhanChatFormSearch = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
        this.clickOnSearchChat = index.createEvent(this, "clickOnSearchChat", 7);
    }
    render() {
        return (index.h("div", { class: "header-wrapper" }, index.h("div", { class: " chat-files" }, index.h("div", { class: "block-input" }, index.h("input", { type: "text", class: "input-search", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0447\u0430\u0442\u043E\u0432 \u0438 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u0439", onInput: (event) => this.clickOnSearchChat.emit(event) })), index.h("div", { class: "block-file", onClick: () => this.selectFiles.emit() }, index.h("i", { class: "far fa-file-alt" })))));
    }
};
SSaqhanChatFormSearch.style = sSaqhanChatFormSearchCss;

const sSaqhanChatFormSearchFilesCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.input-search-files{width:80%;border-radius:3px;border:none;background-color:#ececec;padding:10px 40px;outline:none}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:20px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.input-search{width:auto;padding:10px 30px}}";

const SSaqhanChatFormSearchFiles = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
    }
    render() {
        return (index.h("div", { class: "header-wrapper" }, index.h("div", { class: " chat-files" }, index.h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, index.h("span", null, index.h("i", { class: "fas fa-chevron-left" }))), index.h("div", { class: "block-input" }, index.h("input", { type: "text", class: "input-search-files", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0444\u0430\u0439\u043B\u043E\u0432" })), index.h("div", { class: "block-file" }, index.h("i", { class: "fas fa-filter" })))));
    }
};
SSaqhanChatFormSearchFiles.style = sSaqhanChatFormSearchFilesCss;

const sSaqhanChatMainUserCss = ".main-wrapper{width:100%;padding:15px 0px;border-bottom:1px solid #ececec}";

const SSaqhanChatMainUser = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (index.h("div", { class: "main-wrapper" }, index.h(MainUserMessage, { main: this.mainUser })));
    }
};
const MainUserMessage = (props) => {
    return props.main.map((item) => {
        return index.h("s-saqhan-chat-main-user-card", { main: item });
    });
};
SSaqhanChatMainUser.style = sSaqhanChatMainUserCss;

const sSaqhanChatMainUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-wrapper-main{padding:0px 10px;display:-ms-flexbox;display:flex;margin-right:0px;padding-right:15px}.left{width:15%;margin:auto;display:inline-block}.right-main{width:80%;overflow:hidden;display:inline-block;border:none}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e;margin-right:5px}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.new-mess{right:6%}.user-mess::after{right:15%}}@media (max-width: 375px){.right{width:77%}.new-mess{right:16%}.user-mess::after{right:25%}.user-wrapper{width:365px}.user-wrapper-main{padding-right:0px;padding:0px 0px}}@media (max-width: 320px){.user-wrapper{width:100%}.message-date{font-size:11px}.right{width:80%}.new-mess{right:27%}.user-mess::after{right:40%}}";

const SSaqhanChatMainUserCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
    }
    render() {
        return (index.h("div", { class: "user-wrapper-main", onClick: () => this.selectPersonal.emit() }, index.h("div", { class: "left" }, index.h("div", { class: "img-user", style: { backgroundImage: "url(" + this.main.img + ")" } })), index.h("div", { class: "right-main" }, index.h("div", { class: "user-data" }, index.h("div", { class: "user-name" }, this.main.name), index.h("div", { class: "message-date" }, " ", this.main.date, " ")), index.h("div", { class: "mess-wrapper" }, index.h("div", { class: "user-mess" }, this.main.message), index.h("div", { class: "new-mess-wrap" }, index.h("span", { class: "new-mess" }, "2"))))));
    }
};
SSaqhanChatMainUserCard.style = sSaqhanChatMainUserCardCss;

const sSaqhanChatPersonalCss = ".header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}.personal-messages .user{-ms-flex-align:center;align-items:center}.personal-messages{width:100%}.personal-messages .chat-user-main{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between;margin:10px;padding-left:15px}.personal-messages .chat-user-main .user-img{width:50px;padding-right:5px}.name{font-weight:500}.menu-personal i{color:#ccc;margin-right:15px;cursor:pointer}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.personal-mess,.admin-mess{padding:0 15px;font-size:14px}.personal-mess{display:-ms-flexbox;display:flex;-ms-flex-pack:end;justify-content:flex-end}.mess-user{padding:10px;background-color:#feffc5;border-radius:3px;width:80%;margin:5px 0}.mess-admin{background-color:#ececec;width:80%;padding:10px;border-radius:3px;margin:10px 0}.position-admin span{font-size:12px;color:#8e8e8e;font-weight:500}.mess-date{font-size:11px;color:#8e8e8e;margin-left:5px}.mess-date::before{content:\"\\f058\";font-family:\"Font Awesome 5 Free\";color:#9a9ab5;font-size:10px;margin-right:3px}.messages-block{height:66vh}.messages-block{overflow:scroll;overflow-x:hidden}@media (max-width: 414px){.messages-block{height:74vh}}@media (max-width: 375px){.messages-block{height:72vh}}@media (max-width: 320px){.wrapper-chat{width:100%;height:100vh}.messages-block{height:67vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatPersonal = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
    }
    render() {
        return (index.h("div", { class: "personal-messages" }, index.h("div", { class: "col-12 chat-user-main" }, index.h("div", { class: "user" }, index.h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, index.h("span", null, index.h("i", { class: "fas fa-chevron-left" }))), index.h("div", { class: "user-img" }, index.h("div", { class: "img", style: { backgroundImage: "url(https://via.placeholder.com/500)" } })), index.h("div", { class: "personal-user" }, index.h("div", { class: "name" }, "\u041A\u0441\u0435\u043D\u0438\u044F"))), index.h("div", { class: "menu-personal" }, index.h("i", { class: "fas fa-ellipsis-v" }))), index.h("div", { class: "messages-block" }, index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0412\u0438\u0440\u0443\u0441 \u044D\u0432\u043E\u043B\u0438\u0446\u0438\u043E\u043D\u0438\u0440\u0443\u0435\u0442!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0422\u0430\u043A \u0434\u0430\u0432\u0430\u0439\u0442\u0435 \u0441\u043D\u0438\u043C\u0438\u043C \u043A\u0430\u0440\u0430\u043D\u0442\u0438\u043D, \u043F\u0443\u0441\u0442\u044C \u0432\u0441\u0435 \u0432\u044B\u0439\u0434\u0443\u0442 \u043D\u0430 \u0440\u0430\u0431\u043E\u0442\u0443!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u041C\u0438\u0440\u043E\u0432\u043E\u0439 \u0437\u0430\u0433\u043E\u0432\u0440, \u0432\u0441\u0435 \u043E\u0431 \u044D\u0442\u043E\u043C \u0437\u043D\u0430\u044E\u0442!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u041C\u044B \u0441 \u0412\u0430\u043C\u0438 \u0441\u043E\u0433\u043B\u0430\u0441\u043D\u044B \u0438 \u0441\u0435\u0439\u0447\u0430\u0441 \u043F\u0435\u0440\u0435\u0432\u0435\u043B\u0438 \u043C\u0438\u043B\u043B\u0438\u043E\u043D \u043D\u0430 \u043B\u0435\u0447\u0435\u043D\u0438\u0435."), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043E\u0447\u0435\u043D\u044C \u0446\u0435\u043D\u044E!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0413\u0434\u0435 \u0434\u0435\u043D\u044C\u0433\u0438, \u041B\u0435\u0431\u043E\u0432\u0441\u043A\u0438\u0439?"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Hello there! pls tell me, where a u?"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20")))), index.h("s-saqhan-chat-add-question", null)));
    }
};
SSaqhanChatPersonal.style = sSaqhanChatPersonalCss;

const sSaqhanChatUserCss = "";

const SSaqhanChatUser = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (index.h("div", { class: "user-wrapper" }, index.h(UserMessage, { user: this.messages })));
    }
};
const UserMessage = (props) => {
    return props.user.map(item => {
        return index.h("s-saqhan-chat-user-card", { user: item });
    });
};
SSaqhanChatUser.style = sSaqhanChatUserCss;

const sSaqhanChatUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-card{cursor:pointer;padding:5px 0px;display:-ms-flexbox;display:flex}.left{width:15%;margin:auto;display:inline-block}.user-right{width:80%;overflow:hidden;display:inline-block;border-bottom:1px solid #ececec;padding-bottom:5px}.mess-wrapper{display:-ms-flexbox;display:flex}.positon-user{font-size:10px;background-color:#efd96e;color:#5a5a5a;border-radius:15%;padding:1px 5px;margin-bottom:5px;margin-top:10px;display:inline-block}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free;margin-right:5px}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap;width:100%;overflow:hidden}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.user-mess::after{right:10%}}@media (max-width: 375px){.new-mess{right:12%}}";

const SSaqhanChatUserCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
    }
    render() {
        return (index.h("div", null, index.h("div", { class: "user-card", onClick: () => this.selectPersonal.emit() }, index.h("div", { class: "left" }, index.h("div", { class: "img-user", style: { backgroundImage: "url(" + this.user.img + ")" } })), index.h("div", { class: "user-right" }, index.h("div", { class: "user-data" }, index.h("div", { class: "user-name" }, this.user.name), index.h("div", { class: "message-date" }, this.user.date)), index.h("div", { class: "mess-wrapper" }, index.h("div", { class: "user-mess" }, this.user.message), index.h("div", { class: "new-mess-wrap" }, index.h("span", { class: "new-mess" }, "1"))), this.user.position ? index.h("span", { class: "positon-user" }, this.user.position) : ''))));
    }
};
SSaqhanChatUserCard.style = sSaqhanChatUserCardCss;

const sSaqhanChatUsersCss = ".user-wrapper{cursor:pointer;padding:0px 10px;padding-right:15px}@media (max-width: 375px){.user-wrapper{cursor:pointer;padding:0px 0px;padding-right:0px}}";

const SSaqhanChatUsers = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return index.h("div", { class: "user-wrapper" }, index.h("s-saqhan-chat-main-user", { mainUser: this.mainUser }), index.h("s-saqhan-chat-user", { messages: this.messages }));
    }
};
SSaqhanChatUsers.style = sSaqhanChatUsersCss;

const sSaqhanChatUsersWrapperCss = ".chat-wrap{width:100%;height:65vh;overflow:overlay}@media (max-width: 414px){.chat-wrap{height:76vh}}@media (max-width: 375px){.chat-wrap{height:78vh}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.chat-wrap{height:72vh}.block-input{text-align:center}}@media (height: 1366px) and (width: 1024px ){.chat-wrap{height:72vh}}@media (height: 1024px) and (width: 768px ){.chat-wrap{height:68vh}}@media (max-width: 375px) and (max-height: 667px){.chat-wrap{height:74vh}}@media (max-width: 320px) and (max-height: 568px){.chat-wrap{height:68vh}}";

const SSaqhanChatUsersWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-chat-form-search", null), index.h("div", { class: "chat-wrap" }, index.h("s-saqhan-chat-users", { messages: this.messages, mainUser: this.mainUser })), index.h("s-saqhan-chat-add-question", null)));
    }
};
SSaqhanChatUsersWrapper.style = sSaqhanChatUsersWrapperCss;

const sSaqhanChatWrapperCss = ".wrapper-chat{-webkit-box-shadow:0 0 10px 1px #828282;box-shadow:0 0 10px 1px #828282;border-radius:5px;margin-bottom:10px;width:400px;height:85vh;background-color:#fff}.header-chat{background-color:#ececec;text-align:center;padding:10px 0px;font-weight:500;border-top-left-radius:5px;border-top-right-radius:5px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}@media (max-width: 414px){.wrapper-chat{width:414px;height:100vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ShowContent = (content) => {
            switch (content) {
                case "personal":
                    return index.h("s-saqhan-chat-personal", null);
                case "users":
                    return index.h("s-saqhan-chat-users-wrapper", { messages: mock.messages, mainUser: mock.mainUser });
                case "files":
                    return index.h("s-saqhan-chat-files-wrapper", null);
            }
        };
        this.close = index.createEvent(this, "close", 7);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
    }
    render() {
        return (index.h("div", { class: "wrapper-chat" }, index.h("div", { class: "header-chat" }, "\u0427\u0430\u0442 \u0441 \u0431\u0430\u043D\u043A\u043E\u043C", index.h("a", { href: "#", onClick: () => this.close.emit() }, index.h("i", { class: "fas fa-times-circle" }))), index.h("div", { class: "content-chat" }, this.ShowContent(this.showContent))));
    }
};
SSaqhanChatWrapper.style = sSaqhanChatWrapperCss;

const sSaqhanComponentCss = "";

const SSaqhanComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-header-app", { menu: mock.menu, subscribeText: mock.subscribeText, logoUrl: mock.logoUrl, onClickToLogo: (item) => {
                console.log("clickOnLogo", item);
            }, onClickOnMenu: (item) => this.clickOnMenu(item), onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), index.h("s-saqhan-first-slider", { onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), onClickOnNews: (event) => this.clickOnNews(event), blogCarouselMock: mock.blogCarouselMock }), index.h("s-saqhan-new-blog", { blogPost: mock.blogPost, onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event) }), index.h("s-saqhan-popular-news", { popularNews: mock.popularNews, bannerPopular: mock.bannerPopular, onClickOnNews: (event) => this.clickOnNews(event) }), index.h("s-saqhan-events-blog", { onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), events: mock.events }), index.h("s-saqhan-subsc-banner", { subscribeText: mock.subscribeText, subscribeBlockText: mock.subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), index.h("s-saqhan-app-footer", { onClickOnMenu: (item) => this.clickOnMenu(item), footerItems: mock.footerItems, footerInfo: mock.footerInfo, footerCopyright: mock.footerCopyright }), index.h("s-saqhan-chat-app", { messages: mock.messages, mainUser: mock.mainUser, onClickOnSearchChat: (event) => this.clickOnSearchChat(event) })));
    }
    /**
     *  Клик по меню
     */
    clickOnMenu({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по новости
     * */
    clickOnNews({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории публикации
     * */
    clickOnNewsCategory({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории
     * */
    clickOnCategoryNews({ detail }) {
        return console.log(detail);
    }
    /**
     *  Метод поиска по чату
     * */
    clickOnSearchChat({ detail }) {
        return console.log(detail.data);
    }
};
SSaqhanComponent.style = sSaqhanComponentCss;

const sSaqhanEventCardCss = ".blog-img{width:310px;height:210px;background-size:cover;background-position:center;margin-bottom:20px}.blog-title{margin-top:10px;font-weight:600}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}@media (max-width: 414px){.blog-card{width:85%;margin:auto;margin-bottom:15px}.block-title{text-align:center}}@media (max-width: 375px){.blog-img{width:100%}}@media (max-width: 320px){.blog-img{width:100%}}";

const SSaqhanEventCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small custom-links";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    render() {
        return (index.h("div", { class: "blog-card" }, index.h("div", { class: "blog-img custom-links", style: { backgroundImage: "url(" + this.event.img + ")" }, onClick: () => this.clickOnNews.emit({ place: "img", item: this.event }) }, index.h("span", { class: !this.event.date ? "no-date" : "date-event" }, " ", this.event.date, " ")), index.h("span", { class: this.ColorCategory(this.event.category), onClick: () => this.clickOnCategoryNews.emit({
                place: "category",
                item: this.event,
            }) }, this.event.category), index.h("div", { class: "blog-title", onClick: () => this.clickOnNews.emit({ place: "title", item: this.event }) }, index.h("span", { class: "custom-links" }, this.event.title)), index.h("div", { class: "btn-read ", onClick: () => this.clickOnNews.emit({ place: "btn-read", item: this.event }) }, index.h("span", { class: "custom-links" }, " ", this.event.btnText, " "))));
    }
};
SSaqhanEventCard.style = sSaqhanEventCardCss;

const sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";

const SSaqhanEventsBlog = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    /**
     * Получаем элементы ивентов
     * */
    getEvents(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: " pt-5 pb-5" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), index.h("div", { class: "row" }, index.h(EventsPost, { event: this.getEvents(this.events) })))));
    }
};
/**
 * Компонентная функция для передачи элементов из массива в дочерний компонент
 * */
const EventsPost = (props) => {
    return props.event.map((item) => {
        return (index.h("div", { class: "col-12 col-md-6 col-lg-4" }, index.h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;

const sSaqhanFirstSliderCss = "";

const SSaqhanFirstSlider = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * массив новостей для вывода
         */
        this.blogCarouselMock = [];
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    /**
     * Фильтруем для главной новости
     * */
    mainNews(arr) {
        return (arr.filter((item) => item.main) || []).slice(-1);
    }
    lentaNews(arr) {
        return arr
            .filter((item) => item.lenta)
            .slice(-4)
            .reverse();
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row pt-5 pb-5" }, index.h("div", { class: "col-12 col-lg-7" }, index.h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), index.h("div", { class: "col-12 col-lg-5" }, index.h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    }
};
/**
 * Компонентная функция для главной новости
 * */
const MainNews = (props) => {
    return props.arr.map((item) => {
        return index.h("s-saqhan-main-news-card", { mainNews: item });
    });
};
/**
 * Компонентная функция для ленты новостей
 * */
//лента новостей
const LentaNews = (props) => {
    return props.lenta.map((item) => {
        return (index.h("s-saqhan-lenta-news-card", { lentaNews: item }));
    });
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;

const sSaqhanHeaderAppCss = ".logo-header{width:125px;height:30px;background-position:center;background-size:cover}.custom-links{cursor:pointer}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}.header-nav{-ms-flex-pack:justify;justify-content:space-between}.header-right{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}.nav-link.header{cursor:pointer}";

const SSaqhanHeaderApp = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * массив меню для вывода
         */
        this.menu = [];
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
        this.clickOnSubscribeButton = index.createEvent(this, "clickOnSubscribeButton", 7);
        this.clickToLogo = index.createEvent(this, "clickToLogo", 7);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("header", null, index.h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex " }, index.h("a", { onClick: () => this.clickToLogo.emit({ place: "logo", item: this.logoUrl }), class: "navbar-brand logo-header custom-links", style: { backgroundImage: `url( ${this.logoUrl.img} )` } }), index.h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, index.h("span", { class: "navbar-toggler-icon" })), index.h("div", { class: "collapse navbar-collapse header-nav", id: "navbarSupportedContent" }, index.h("ul", { class: "navbar-nav " }, index.h(ItemLink, { arr: this.menu })), index.h("div", { class: "header-right" }, index.h("a", { href: "#", class: "pr-4" }, index.h("i", { class: "fas fa-search" })), index.h("form", { onSubmit: (event) => (event.preventDefault()), class: "form" }, index.h("div", { class: "input-group" }, index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { onClick: () => this.clickOnSubscribeButton.emit({ place: "SubscribeButton", item: this.subscribeText }), class: "btn btn-primary btn-custom-head" }, this.subscribeText))))))))))));
    }
};
const ItemLink = (props) => {
    return props.arr.map((item) => {
        return (index.h("menu-item", { arr: item }));
    });
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;

const sSaqhanLentaNewsCardCss = ".btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.lenta-news{padding-bottom:20px;display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex:1;flex:1}.lenta-img{width:110px;height:110px;background-size:cover;border-radius:3px;margin-right:35px}.lenta-info{-ms-flex:2;flex:2}.lenta-title{font-size:15px;margin-top:10px;font-weight:600}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (min-width: 768px){.lenta-title-first{width:100%}}";

const SSaqhanLentaNewsCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * Метод для выбора цвета категории публикации
         * */
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
    }
    render() {
        return (index.h("div", { class: "lenta-news " }, index.h("div", { class: "lenta-img pr-4 custom-link", onClick: () => this.clickOnNews.emit({ place: 'img', item: this.lentaNews }), style: { backgroundImage: `url(${this.lentaNews.img})` } }), index.h("div", { class: "lenta-info " }, index.h("div", { onClick: () => this.clickOnNews.emit({ place: 'category', item: this.lentaNews }), class: this.ColorCategory(this.lentaNews.category) }, index.h("span", { class: "custom-link" }, this.lentaNews.category)), index.h("div", { onClick: () => this.clickOnNews.emit({ place: 'title', item: this.lentaNews }), class: "lenta-title " }, index.h("span", { class: "custom-link" }, this.lentaNews.title)), index.h("div", { class: "btn-read custom-link" }, index.h("span", { onClick: () => this.clickOnNews.emit({ place: 'btn-read', item: this.lentaNews }) }, this.lentaNews.btnText)))));
    }
};
SSaqhanLentaNewsCard.style = sSaqhanLentaNewsCardCss;

const sSaqhanMainNewsCardCss = ".btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.custon-link{cursor:pointer}.img-news{height:308px;background-size:cover;background-position:center;border-radius:3px}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.category-news{font-weight:600}.title-news{margin-top:10px;font-weight:600}.category-main{margin-top:15px}.sub-title-news{margin:30px 0px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (max-width: 768px){.main-news{margin-bottom:20px}}@media (max-width: 992px){.img-news img{height:auto}}";

const SSaqhanMainNewsCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category category-news small custon-link";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case `Webinar ${classCategory}`:
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
    }
    render() {
        return (index.h("div", { class: "main-news" }, index.h("div", null, index.h("div", { class: "img-news m-auto custon-link", onClick: () => this.clickOnNews.emit({ place: 'img', item: this.mainNews }), style: { backgroundImage: `url(${this.mainNews.img})` } }), index.h("div", { class: "category-main", onClick: () => this.clickOnNews.emit({ place: 'category', item: this.mainNews }) }, index.h("span", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category)), index.h("div", { onClick: () => this.clickOnNews.emit({ place: 'title', item: this.mainNews }), class: "title-news custon-link" }, index.h("span", { class: "custon-link" }, index.h("h2", null, this.mainNews.title))), index.h("div", { onClick: () => this.clickOnNews.emit({ place: 'subTitle', item: this.mainNews }), class: "sub-title-news " }, index.h("span", { class: "text-muted custon-link" }, this.mainNews.subTitle)), index.h("span", { onClick: () => this.clickOnNews.emit({ place: 'btn read', item: this.mainNews }), class: "btn btn-primary btn-custom custon-link" }, this.mainNews.btnText))));
    }
};
SSaqhanMainNewsCard.style = sSaqhanMainNewsCardCss;

const sSaqhanNewBlogCss = "";

const SSaqhanNewBlog = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold" }, "New Blog Post"))), index.h("div", { class: "row" }, index.h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
};
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return index.h("div", { class: "col-12 col-md-6 col-lg-4 " }, index.h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;

const sSaqhanPopularCardCss = ".lenta-category{font-weight:600}.news-block{display:-ms-flexbox;display:flex}.news-block{min-height:160px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.news-img{width:248px;height:128px;background-size:cover;background-position:center;border-radius:3px;margin-right:30px}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2;font-weight:500;min-height:65px}.lenta-img{width:128px;height:128px;background-size:cover;margin-right:30px;border-radius:3px}.lenta-category{font-size:12px;color:#007bff}@media (min-width: 768px){.lenta-title{width:75%}}@media (max-width: 768px){.lenta-title{width:100%}}@media (max-width: 414px){.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "lenta-category category custom-links";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
    }
    render() {
        return (index.h("div", { class: "news-block" }, index.h("div", { class: "news-img custom-links", style: { backgroundImage: `url(${this.post.img})` }, onClick: () => this.clickOnNews.emit({ place: "img", item: this.post }) }), index.h("div", { class: "news-info" }, index.h("span", { class: this.ColorCategory(this.post.category), onClick: () => this.clickOnNews.emit({ place: "category", item: this.post }) }, this.post.category), index.h("div", { class: "lenta-title " }, index.h("span", { class: "custom-links", onClick: () => this.clickOnNews.emit({ place: "title", item: this.post }) }, this.post.title)), index.h("div", { class: "btn-read" }, index.h("span", { class: "custom-links", onClick: () => this.clickOnNews.emit({ place: "btn-read", item: this.post }) }, this.post.btnText)))));
    }
};
SSaqhanPopularCard.style = sSaqhanPopularCardCss;

const sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;-ms-flex-direction:column;flex-direction:column;border-radius:3px}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularNews = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
    }
    /**
     *  Получаем популярные новости
     * */
    getPopularNews(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row pt-5 pb-5" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), index.h("div", { class: "col-12 col-lg-7" }, index.h("div", { class: "cards-popular" }, index.h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), index.h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner", style: { backgroundImage: `url(${this.bannerPopular.img})` } }, index.h("div", { class: "banner-title text-center text-white", onClick: () => this.clickOnNews.emit({
                place: "title",
                item: this.bannerPopular,
            }) }, this.bannerPopular.title), index.h("div", { class: "btn-read pt-3", onClick: () => this.clickOnNews.emit({
                place: "btn-read",
                item: this.bannerPopular,
            }) }, index.h("span", null, this.bannerPopular.nameLink))))));
    }
};
const CardPopular = (props) => {
    return props.post.map((item) => {
        return index.h("s-saqhan-popular-card", { post: item });
    });
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;

const sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px;border-radius:3px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.custom-links{cursor:pointer}.btn-read-sub span{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read-sub span:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos span{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos span:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";

const SSaqhanSubscBanner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnSubscribeButton = index.createEvent(this, "clickOnSubscribeButton", 7);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, index.h("div", { class: "col-12 col-lg-6 left" }, index.h("div", { class: "sub-title" }, index.h("h1", null, " ", this.subscribeBlockText.title, " ")), index.h("div", { class: "subs-sub-title text-muted" }, this.subscribeBlockText.subTitle, index.h("span", { class: "btn-read-sub", onClick: () => this.clickOnSubscribeButton.emit({ place: 'See pricing', item: this.subscribeText }) }, index.h("span", { class: "custom-links" }, " ", this.subscribeBlockText.nameLink)))), index.h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, index.h("div", { class: "col-12" }, index.h("form", { class: "form", onSubmit: (event) => event.preventDefault() }, index.h("div", { class: "input-group" }, index.h("i", { class: "fas fa-at" }), index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { onClick: () => this.clickOnSubscribeButton.emit({ place: 'btn-subscribe', item: this.subscribeText }), class: "btn btn-primary btn-custom-head", type: "submit" }, this.subscribeText))))), index.h("div", { class: "col-12" }, index.h("div", { class: "logos text-center text-muted pt-4" }, index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "far fa-address-book" })), index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "fas fa-paper-plane" })), index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "fas fa-envelope" })), index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "fas fa-map-marked" }))))))));
    }
};
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;

exports.footer_first_item = FooterFirstItem;
exports.footer_wrapper = FooterWrapper;
exports.menu_item = MenuItem;
exports.s_saqhan_app_footer = SSaqhanAppFooter;
exports.s_saqhan_blog_card = SSaqhanBlogCard;
exports.s_saqhan_chat_add_question = SSaqhanChatAddQuestion;
exports.s_saqhan_chat_app = SSaqhanChatApp;
exports.s_saqhan_chat_files = SSaqhanChatFiles;
exports.s_saqhan_chat_files_wrapper = SSaqhanChatFilesWrapper;
exports.s_saqhan_chat_form_search = SSaqhanChatFormSearch;
exports.s_saqhan_chat_form_search_files = SSaqhanChatFormSearchFiles;
exports.s_saqhan_chat_main_user = SSaqhanChatMainUser;
exports.s_saqhan_chat_main_user_card = SSaqhanChatMainUserCard;
exports.s_saqhan_chat_personal = SSaqhanChatPersonal;
exports.s_saqhan_chat_user = SSaqhanChatUser;
exports.s_saqhan_chat_user_card = SSaqhanChatUserCard;
exports.s_saqhan_chat_users = SSaqhanChatUsers;
exports.s_saqhan_chat_users_wrapper = SSaqhanChatUsersWrapper;
exports.s_saqhan_chat_wrapper = SSaqhanChatWrapper;
exports.s_saqhan_component = SSaqhanComponent;
exports.s_saqhan_event_card = SSaqhanEventCard;
exports.s_saqhan_events_blog = SSaqhanEventsBlog;
exports.s_saqhan_first_slider = SSaqhanFirstSlider;
exports.s_saqhan_header_app = SSaqhanHeaderApp;
exports.s_saqhan_lenta_news_card = SSaqhanLentaNewsCard;
exports.s_saqhan_main_news_card = SSaqhanMainNewsCard;
exports.s_saqhan_new_blog = SSaqhanNewBlog;
exports.s_saqhan_popular_card = SSaqhanPopularCard;
exports.s_saqhan_popular_news = SSaqhanPopularNews;
exports.s_saqhan_subsc_banner = SSaqhanSubscBanner;
