import { Component, Event, h, Prop, } from "@stencil/core";
export class FooterWrapper {
    render() {
        return (h(FooterBlock, { title: this.footer.title, links: this.footer.links, name: this.footer.name, id: this.footer.id }));
    }
    static get is() { return "footer-wrapper"; }
    static get originalStyleUrls() { return {
        "$": ["footer-wrapper.css"]
    }; }
    static get styleUrls() { return {
        "$": ["footer-wrapper.css"]
    }; }
    static get properties() { return {
        "footer": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 1 \u0444\u0443\u0442\u0435\u0440\u0430"
            },
            "attribute": "footer",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnMenu",
            "name": "clickOnMenu",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043D\u0430 \u043F\u0443\u043D\u043A\u0442 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/**
 * Общая обертка для блока в подвале
 * */
const FooterBlock = (props) => {
    const { title, links, name } = props;
    const currentName = title ? title : name;
    return (h("div", null,
        h("div", { class: "footer-title" }, currentName),
        h("div", { class: "footer-item" },
            h("div", null,
                h(FooterValue, { arr: links })))));
};
/**
 * решаем, который блок должен выходить в браузере - родоительский/дочерний (если есть)
 * */
const FooterValue = (props) => {
    return props.arr.map((item) => {
        if (item.links) {
            return (h(SubFooterBlock, { links: item.links, name: item.name }));
        }
        else {
            return h("footer-first-item", { arr: item });
        }
    });
};
/**
 * блок куда будет помещен дочерний блок
 * */
const SubFooterBlock = (props) => {
    return (h("div", null,
        h("div", { class: "footer-title" }, props.name),
        h("div", { onClick: () => this.clickOnMenu.emit() }, props.links.map((item) => {
            return (h("div", { onClick: () => this.clickOnMenu.emit({ place: 'footerItem', item: this.item }), class: "foot-nav-link" }, item.name));
        }))));
};
