import { Component, h, Prop, Event, } from "@stencil/core";
export class SSaqhanAppFooter {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row footer" },
                h("div", { class: "col-lg-4 col-md-12 footer-info-block" },
                    h("div", { class: "footer-info" }, this.footerInfo.title),
                    h("div", { class: "footer-soc" },
                        h("div", { class: "template-demo" },
                            h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" },
                                h("i", { class: "fab fa-facebook-f" })),
                            h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" },
                                h("i", { class: "fab fa-youtube" })),
                            h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" },
                                h("i", { class: "fab fa-instagram" })),
                            h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" },
                                h("i", { class: "fab fa-twitter" }))))),
                h(FooterFirst, { footer: this.footerItems }),
                h("div", { class: "col-12 pt-5" },
                    h("div", { class: "choose-language text-muted small" },
                        h("a", { class: "pr-3 custom-links", onClick: (event) => this.clickOnMenu.emit({ place: "footer copyright", event }) },
                            h("i", { class: "fas fa-globe-africa" }),
                            " ",
                            this.footerCopyright.title,
                            h("br", null),
                            this.footerCopyright.description))))));
    }
    static get is() { return "s-saqhan-app-footer"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-app-footer.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-app-footer.css"]
    }; }
    static get properties() { return {
        "footerItems": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "footerItems2[]",
                "resolved": "footerItems2[]",
                "references": {
                    "footerItems2": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430"
            }
        },
        "footerInfo": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0418\u043D\u0444\u043E \u043E \u043A\u043E\u043C\u043F\u0430\u043D\u0438\u0438 \u0432 \u0444\u0443\u0442\u0435\u0440\u0435"
            },
            "attribute": "footer-info",
            "reflect": false
        },
        "footerCopyright": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0422\u0435\u043A\u0441\u0442 \u0434\u043B\u044F \u043A\u043E\u043F\u0438\u0440\u0430\u0439\u0442\u0430"
            },
            "attribute": "footer-copyright",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnMenu",
            "name": "clickOnMenu",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 \u0432 \u0444\u0443\u0442\u0435\u0440\u0435"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
const FooterFirst = (props) => {
    return props.footer.slice(0, 4).map((item) => {
        return (h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" },
            h("footer-wrapper", { footer: item })));
    });
};
