import { Component, h, Prop, Event } from "@stencil/core";
export class SSaqhanNewBlog {
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row" },
                h("div", { class: "col-12" },
                    h("h1", { class: "font-weight-bold" }, "New Blog Post"))),
            h("div", { class: "row" },
                h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
    static get is() { return "s-saqhan-new-blog"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-new-blog.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-new-blog.css"]
    }; }
    static get properties() { return {
        "blogPost": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "NewBlogItem[]",
                "resolved": "NewBlogItem[]",
                "references": {
                    "NewBlogItem": {
                        "location": "import",
                        "path": "./res/interface/commin.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043F\u0443\u0431\u043B\u0438\u043A\u0430\u0446\u0438\u044F\u043C\u0438"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E category"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return h("div", { class: "col-12 col-md-6 col-lg-4 " },
            h("s-saqhan-blog-card", { post: item }));
    }));
};
