import { Component, h, State, Event, Prop, } from "@stencil/core";
export class SSaqhanChatApp {
    constructor() {
        /**
         * По умолчанию отображается вид с диалогами
         * */
        this.showContent = "users";
    }
    render() {
        return (h("div", { class: "wrapper-modal" },
            this.showChat ? (h("s-saqhan-chat-wrapper", { onSelectPersonal: () => this.onSelectPersonal(), onSelectUsers: () => this.onSelectUsers(), onSelectFiles: () => this.onSelectFiles(), onClose: () => this.onClose(), showContent: this.showContent })) : (""),
            h("div", { class: "btn-wrapper" },
                h("div", { class: "open-chat" },
                    h("button", { onClick: () => this.isShowChat(), class: "btn-open" },
                        h("span", null, this.showChat ? (h("i", { class: "fas fa-times" })) : (h("i", { class: "far fa-comment-dots" }))))))));
    }
    /**
     * Метод для изменения состояния чата
     * */
    isShowChat() {
        this.showChat = !this.showChat;
    }
    /**
     * Метод для закрытия чата
     * */
    onClose() {
        this.showChat = false;
    }
    /**
     * Если кликнули на диалог и открываем личные сообщения пользователя
     * */
    onSelectPersonal() {
        return (this.showContent = "personal");
    }
    /**
     * Метод для открывания диалогов
     * */
    onSelectUsers() {
        return (this.showContent = "users");
    }
    /**
     * Метод для выбора раздела файлов
     * */
    onSelectFiles() {
        return (this.showContent = "files");
    }
    static get is() { return "s-saqhan-chat-app"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-app.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-app.css"]
    }; }
    static get properties() { return {
        "mainUser": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "mainUser[]",
                "resolved": "mainUser[]",
                "references": {
                    "mainUser": {
                        "location": "import",
                        "path": "../s-saqhan-component/res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0434\u0430\u043D\u043D\u044B\u0445 \u0434\u043B\u044F \u0433\u043B\u0430\u0432\u043D\u043E\u0433\u043E \u043F\u043E\u043B\u044C\u0437\u043E\u0432\u0430\u0442\u0435\u043B\u044F (\u0430\u0434\u043C\u0438\u043D\u0430)"
            }
        },
        "messages": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "messages[]",
                "resolved": "messages[]",
                "references": {
                    "messages": {
                        "location": "import",
                        "path": "../s-saqhan-component/res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0434\u0430\u043D\u043D\u044B\u0445 \u0434\u043B\u044F \u043E\u0431\u044B\u0447\u043D\u044B\u0445 \u043F\u043E\u043B\u044C\u0437\u043E\u0432\u0430\u0442\u0435\u043B\u0435\u0439"
            }
        }
    }; }
    static get states() { return {
        "showChat": {},
        "showContent": {}
    }; }
    static get events() { return [{
            "method": "close",
            "name": "close",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041F\u0435\u0440\u0435\u043C\u0435\u043D\u043D\u0430\u044F \u0434\u043B\u044F \u0437\u0430\u043A\u0440\u044B\u0442\u0438\u044F \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u0447\u0430\u0442\u0430"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectPersonal",
            "name": "selectPersonal",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0421\u043E\u0431\u044B\u0442\u0438\u0435 \u043F\u0440\u0438 \u043A\u043B\u0438\u043A\u0435 \u043D\u0430 \u0434\u0438\u0430\u043B\u043E\u0433, \u043E\u0442\u043A\u0440\u044B\u0432\u0430\u0435\u043C \u043B\u0438\u0447\u043D\u044B\u0435 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u044F"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectUsers",
            "name": "selectUsers",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041E\u0442\u043A\u0440\u044B\u0432\u0430\u0435\u043C \u0434\u0438\u0430\u043B\u043E\u0433\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectFiles",
            "name": "selectFiles",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041E\u0442\u043A\u0440\u044B\u0432\u0430\u0435\u043C \u0444\u0430\u0439\u043B\u044B \u0447\u0430\u0442\u0430"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnSearchChat",
            "name": "clickOnSearchChat",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 \u0432 \u0447\u0430\u0442\u0435"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
