import { Component, Prop, h, Event, } from "@stencil/core";
export class SSaqhanEventCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small custom-links";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" },
            h("div", { class: "blog-img custom-links", style: { backgroundImage: "url(" + this.event.img + ")" }, onClick: () => this.clickOnNews.emit({ place: "img", item: this.event }) },
                h("span", { class: !this.event.date ? "no-date" : "date-event" },
                    " ",
                    this.event.date,
                    " ")),
            h("span", { class: this.ColorCategory(this.event.category), onClick: () => this.clickOnCategoryNews.emit({
                    place: "category",
                    item: this.event,
                }) }, this.event.category),
            h("div", { class: "blog-title", onClick: () => this.clickOnNews.emit({ place: "title", item: this.event }) },
                h("span", { class: "custom-links" }, this.event.title)),
            h("div", { class: "btn-read ", onClick: () => this.clickOnNews.emit({ place: "btn-read", item: this.event }) },
                h("span", { class: "custom-links" },
                    " ",
                    this.event.btnText,
                    " "))));
    }
    static get is() { return "s-saqhan-event-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-event-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-event-card.css"]
    }; }
    static get properties() { return {
        "event": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u043F\u0443\u0431\u043B\u0438\u043A\u0430\u0446\u0438\u0439 \u0418\u0432\u0435\u043D\u0442\u043E\u0432"
            },
            "attribute": "event",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043A\u0430\u0442\u0435\u0433\u043E\u0440\u0438\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
