import { Component, Event, h, Prop, } from "@stencil/core";
export class SSaqhanLentaNewsCard {
    constructor() {
        /**
         * Метод для выбора цвета категории публикации
         * */
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "lenta-news " },
            h("div", { class: "lenta-img pr-4 custom-link", onClick: () => this.clickOnNews.emit({ place: 'img', item: this.lentaNews }), style: { backgroundImage: `url(${this.lentaNews.img})` } }),
            h("div", { class: "lenta-info " },
                h("div", { onClick: () => this.clickOnNews.emit({ place: 'category', item: this.lentaNews }), class: this.ColorCategory(this.lentaNews.category) },
                    h("span", { class: "custom-link" }, this.lentaNews.category)),
                h("div", { onClick: () => this.clickOnNews.emit({ place: 'title', item: this.lentaNews }), class: "lenta-title " },
                    h("span", { class: "custom-link" }, this.lentaNews.title)),
                h("div", { class: "btn-read custom-link" },
                    h("span", { onClick: () => this.clickOnNews.emit({ place: 'btn-read', item: this.lentaNews }) }, this.lentaNews.btnText)))));
    }
    static get is() { return "s-saqhan-lenta-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-lenta-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-lenta-news-card.css"]
    }; }
    static get properties() { return {
        "lentaNews": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043D\u043E\u0432\u043E\u0441\u0442\u044F\u043C\u0438 \u0434\u043B\u044F \u043B\u0435\u043D\u0442\u044B"
            },
            "attribute": "lenta-news",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
