import { Component, Event, h, Prop, } from "@stencil/core";
export class SSaqhanMainNewsCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category category-news small custon-link";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case `Webinar ${classCategory}`:
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "main-news" },
            h("div", null,
                h("div", { class: "img-news m-auto custon-link", onClick: () => this.clickOnNews.emit({ place: 'img', item: this.mainNews }), style: { backgroundImage: `url(${this.mainNews.img})` } }),
                h("div", { class: "category-main", onClick: () => this.clickOnNews.emit({ place: 'category', item: this.mainNews }) },
                    h("span", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category)),
                h("div", { onClick: () => this.clickOnNews.emit({ place: 'title', item: this.mainNews }), class: "title-news custon-link" },
                    h("span", { class: "custon-link" },
                        h("h2", null, this.mainNews.title))),
                h("div", { onClick: () => this.clickOnNews.emit({ place: 'subTitle', item: this.mainNews }), class: "sub-title-news " },
                    h("span", { class: "text-muted custon-link" }, this.mainNews.subTitle)),
                h("span", { onClick: () => this.clickOnNews.emit({ place: 'btn read', item: this.mainNews }), class: "btn btn-primary btn-custom custon-link" }, this.mainNews.btnText))));
    }
    static get is() { return "s-saqhan-main-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-main-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-main-news-card.css"]
    }; }
    static get properties() { return {
        "mainNews": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043D\u043E\u0432\u043E\u0441\u0442\u044F\u043C\u0438"
            },
            "attribute": "main-news",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
