import { Component, h, Prop, Event, } from "@stencil/core";
export class SSaqhanFirstSlider {
    constructor() {
        /**
         * массив новостей для вывода
         */
        this.blogCarouselMock = [];
    }
    /**
     * Фильтруем для главной новости
     * */
    mainNews(arr) {
        return (arr.filter((item) => item.main) || []).slice(-1);
    }
    lentaNews(arr) {
        return arr
            .filter((item) => item.lenta)
            .slice(-4)
            .reverse();
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row pt-5 pb-5" },
                h("div", { class: "col-12 col-lg-7" },
                    h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })),
                h("div", { class: "col-12 col-lg-5" },
                    h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    }
    static get is() { return "s-saqhan-first-slider"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-first-slider.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-first-slider.css"]
    }; }
    static get properties() { return {
        "blogCarouselMock": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanFirstSliderItem[]",
                "resolved": "SSaqhanFirstSliderItem[]",
                "references": {
                    "SSaqhanFirstSliderItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043D\u043E\u0432\u043E\u0441\u0442\u0435\u0439 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430"
            },
            "defaultValue": "[]"
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0424\u0438\u043B\u044C\u0442\u0440\u0443\u0435\u043C \u0434\u043B\u044F \u043B\u0435\u043D\u0442\u044B \u043D\u043E\u0432\u043E\u0441\u0442\u0435\u0439"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/**
 * Компонентная функция для главной новости
 * */
const MainNews = (props) => {
    return props.arr.map((item) => {
        return h("s-saqhan-main-news-card", { mainNews: item });
    });
};
/**
 * Компонентная функция для ленты новостей
 * */
//лента новостей
const LentaNews = (props) => {
    return props.lenta.map((item) => {
        return (h("s-saqhan-lenta-news-card", { lentaNews: item }));
    });
};
