import { Component, Event, h, Prop, } from "@stencil/core";
export class SSaqhanPopularNews {
    /**
     *  Получаем популярные новости
     * */
    getPopularNews(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row pt-5 pb-5" },
                h("div", { class: "col-12" },
                    h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")),
                h("div", { class: "col-12 col-lg-7" },
                    h("div", { class: "cards-popular" },
                        h(CardPopular, { post: this.getPopularNews(this.popularNews) }))),
                h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner", style: { backgroundImage: `url(${this.bannerPopular.img})` } },
                    h("div", { class: "banner-title text-center text-white", onClick: () => this.clickOnNews.emit({
                            place: "title",
                            item: this.bannerPopular,
                        }) }, this.bannerPopular.title),
                    h("div", { class: "btn-read pt-3", onClick: () => this.clickOnNews.emit({
                            place: "btn-read",
                            item: this.bannerPopular,
                        }) },
                        h("span", null, this.bannerPopular.nameLink))))));
    }
    static get is() { return "s-saqhan-popular-news"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-popular-news.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-popular-news.css"]
    }; }
    static get properties() { return {
        "popularNews": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanPopularCardItem[]",
                "resolved": "SSaqhanPopularCardItem[]",
                "references": {
                    "SSaqhanPopularCardItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u043F\u0443\u0431\u043B\u0438\u043A\u0430\u0446\u0438\u0439"
            }
        },
        "bannerPopular": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0414\u0430\u043D\u043D\u044B\u0435 \u0434\u043B\u044F \u0431\u0430\u043D\u043D\u0435\u0440\u0430"
            },
            "attribute": "banner-popular",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
const CardPopular = (props) => {
    return props.post.map((item) => {
        return h("s-saqhan-popular-card", { post: item });
    });
};
