import { Component, h } from "@stencil/core";
import { blogCarouselMock, blogPost, popularNews, bannerPopular, events, menu, logoUrl, subscribeText, footerItems, subscribeBlockText, footerInfo, messages, mainUser, footerCopyright } from "../../utils/mock";
export class SSaqhanComponent {
    render() {
        return (h("div", null,
            h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl, onClickToLogo: (item) => {
                    console.log("clickOnLogo", item);
                }, onClickOnMenu: (item) => this.clickOnMenu(item), onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }),
            h("s-saqhan-first-slider", { onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), onClickOnNews: (event) => this.clickOnNews(event), blogCarouselMock: blogCarouselMock }),
            h("s-saqhan-new-blog", { blogPost: blogPost, onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event) }),
            h("s-saqhan-popular-news", { popularNews: popularNews, bannerPopular: bannerPopular, onClickOnNews: (event) => this.clickOnNews(event) }),
            h("s-saqhan-events-blog", { onClickOnNews: (event) => this.clickOnNews(event), onClickOnCategoryNews: (event) => this.clickOnCategoryNews(event), events: events }),
            h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }),
            h("s-saqhan-app-footer", { onClickOnMenu: (item) => this.clickOnMenu(item), footerItems: footerItems, footerInfo: footerInfo, footerCopyright: footerCopyright }),
            h("s-saqhan-chat-app", { messages: messages, mainUser: mainUser, onClickOnSearchChat: (event) => this.clickOnSearchChat(event) })));
    }
    /**
     *  Клик по меню
     */
    clickOnMenu({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по новости
     * */
    clickOnNews({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории публикации
     * */
    clickOnNewsCategory({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
    /**
     *  Клик по категории
     * */
    clickOnCategoryNews({ detail }) {
        return console.log(detail);
    }
    /**
     *  Метод поиска по чату
     * */
    clickOnSearchChat({ detail }) {
        return console.log(detail.data);
    }
    static get is() { return "s-saqhan-component"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-component.css"]
    }; }
}
