import { Component, h, Prop, Event } from '@stencil/core';
export class SecondTitleBlock {
    render() {
        return (h("div", { class: "container title-wrapper" },
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("div", { class: "second-category custom-links ", onClick: () => this.clickOnLink.emit({ place: 'category', item: this.secondTitle }) }, this.secondTitle.category),
                    h("div", { class: "second-title-news custom-links", onClick: () => this.clickOnLink.emit({ place: 'title', item: this.secondTitle }) }, this.secondTitle.title),
                    h("div", { class: "second-title-author" },
                        h("div", { class: "name custom-links", onClick: () => this.clickOnLink.emit({ place: 'name', item: this.secondTitle }) }, this.secondTitle.authorName),
                        h("div", { class: "date custom-links", onClick: () => this.clickOnLink.emit({ place: 'date', item: this.secondTitle }) }, this.secondTitle.date)))),
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("div", { class: "header-img-title custom-links", onClick: () => this.clickOnLink.emit({ place: 'img', item: this.secondTitle }), style: { backgroundImage: `url(${this.secondTitle.img})` } }))),
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("div", { class: "text-title" }, this.secondTitle.text)))));
    }
    static get is() { return "second-title-block"; }
    static get originalStyleUrls() { return {
        "$": ["second-title-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["second-title-block.css"]
    }; }
    static get properties() { return {
        "secondTitle": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "secondTitleBlockItem",
                "resolved": "secondTitleBlockItem",
                "references": {
                    "secondTitleBlockItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u0430\u043D\u043D\u044B\u0445 \u0434\u043B\u044F \u043F\u0435\u0440\u0432\u043E\u0433\u043E \u0431\u043B\u043E\u043A\u0430"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnLink",
            "name": "clickOnLink",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0441\u043E\u0431\u044B\u0442\u0438\u044F \u043F\u0440\u0438 \u043A\u043B\u0438\u043A\u0435 \u043D\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u044B \u043F\u0435\u0440\u0432\u043E\u0433\u043E \u0431\u043B\u043E\u043A\u0430 \u0432 \u043E\u0434\u043D\u043E\u0441\u0442\u0440\u0430\u043D\u0438\u0447\u043D\u043E\u0439 \u043D\u043E\u0432\u043E\u0441\u0442\u0438\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
