import { Component, h } from "@stencil/core";
import { blogPost, banner, authors, quoteText, menu, subscribeText, logoUrl, footerItems, footerInfo, secondTitle, subscribeBlockText } from "../../utils/mock";
export class SSaqhanSecondPage {
    render() {
        return (h("div", null,
            h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl }),
            h("second-title-block", { onClickOnLink: (event) => this.clickOnLink(event), secondTitle: secondTitle }),
            h("s-saqhan-line-book", { onClickOnLink: (event) => this.clickOnLink(event), banner: banner }),
            h("s-saqhan-quote-text", { quoteText: quoteText }),
            h("s-saqhan-author-info", { onClickOnLink: (event) => this.clickOnLink(event), author: authors }),
            h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }),
            h("s-saqhan-new-blog", { blogPost: blogPost }),
            h("s-saqhan-app-footer", { footerItems: footerItems, footerInfo: footerInfo })));
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
    /**
     * Клик по кнопке перехода
     * */
    clickOnLink({ detail }) {
        return console.log(detail);
    }
    static get is() { return "s-saqhan-second-page"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-second-page.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-second-page.css"]
    }; }
}
