import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';
import { m as messages, a as mainUser, f as footerItems, b as footerInfo, c as footerCopyright, s as subscribeText, d as subscribeBlockText, e as events, p as popularNews, g as bannerPopular, h as blogPost, i as blogCarouselMock, j as menu, l as logoUrl } from './mock-45c9f158.js';
var footerFirstItemCss = "";
var FooterFirstItem = /** @class */ (function () {
    function FooterFirstItem(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    FooterFirstItem.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("span", { class: "foot-nav-link", onClick: function () { return _this.clickOnMenu.emit({ place: "footerItem", item: _this.arr }); } }, this.arr.name)));
    };
    return FooterFirstItem;
}());
FooterFirstItem.style = footerFirstItemCss;
var footerWrapperCss = ".foot-nav-link-child{margin-left:15px;font-size:14px;font-weight:400}.footer-title-child{color:#39374d;font-size:16px;font-weight:500}";
var FooterWrapper = /** @class */ (function () {
    function FooterWrapper(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    FooterWrapper.prototype.render = function () {
        return (h(FooterBlock, { title: this.footer.title, links: this.footer.links, name: this.footer.name, id: this.footer.id }));
    };
    return FooterWrapper;
}());
/**
 * Общая обертка для блока в подвале
 * */
var FooterBlock = function (props) {
    var title = props.title, links = props.links, name = props.name;
    var currentName = title ? title : name;
    return (h("div", null, h("div", { class: "footer-title" }, currentName), h("div", { class: "footer-item" }, h("div", null, h(FooterValue, { arr: links })))));
};
/**
 * решаем, который блок должен выходить в браузере - родоительский/дочерний (если есть)
 * */
var FooterValue = function (props) {
    return props.arr.map(function (item) {
        if (item.links) {
            return (h(SubFooterBlock, { links: item.links, name: item.name }));
        }
        else {
            return h("footer-first-item", { arr: item });
        }
    });
};
/**
 * блок куда будет помещен дочерний блок
 * */
var SubFooterBlock = function (props) {
    return (h("div", null, h("div", { class: "footer-title" }, props.name), h("div", { onClick: function () { return undefined.clickOnMenu.emit(); } }, props.links.map(function (item) {
        return (h("div", { onClick: function () { return undefined.clickOnMenu.emit({ place: 'footerItem', item: undefined.item }); }, class: "foot-nav-link" }, item.name));
    }))));
};
FooterWrapper.style = footerWrapperCss;
var menuItemCss = ".header-nav{-ms-flex-pack:justify;justify-content:space-between}.nav-link.header{cursor:pointer}";
var MenuItem = /** @class */ (function () {
    function MenuItem(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    MenuItem.prototype.render = function () {
        var _this = this;
        return (h("li", { class: "nav-item", onClick: function () { return _this.clickOnMenu.emit(_this.arr); } }, h("a", { class: "nav-link header " }, this.arr.name)));
    };
    return MenuItem;
}());
MenuItem.style = menuItemCss;
var sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.custom-links{cursor:pointer}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:10px;margin-top:5px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease;cursor:pointer}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";
var SSaqhanAppFooter = /** @class */ (function () {
    function SSaqhanAppFooter(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    SSaqhanAppFooter.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row footer" }, h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, h("div", { class: "footer-info" }, this.footerInfo.title), h("div", { class: "footer-soc" }, h("div", { class: "template-demo" }, h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, h("i", { class: "fab fa-facebook-f" })), h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, h("i", { class: "fab fa-youtube" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-instagram" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-twitter" }))))), h(FooterFirst, { footer: this.footerItems }), h("div", { class: "col-12 pt-5" }, h("div", { class: "choose-language text-muted small" }, h("a", { class: "pr-3 custom-links", onClick: function (event) { return _this.clickOnMenu.emit({ place: "footer copyright", event: event }); } }, h("i", { class: "fas fa-globe-africa" }), " ", this.footerCopyright.title, h("br", null), this.footerCopyright.description))))));
    };
    return SSaqhanAppFooter;
}());
var FooterFirst = function (props) {
    return props.footer.slice(0, 4).map(function (item) {
        return (h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, h("footer-wrapper", { footer: item })));
    });
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;
var sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}.blog-title{margin-top:15px;font-weight:600}.btn-read{margin-top:10px}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:pointer}@media (max-width: 375px){.blog-img{width:100%}}@media (max-width: 320px){.blog-img,.blog-card{width:100%}}";
var SSaqhanBlogCard = /** @class */ (function () {
    function SSaqhanBlogCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category small  custom-links";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    SSaqhanBlogCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img custom-links", style: { backgroundImage: "url( " + this.post.img + ")" }, onClick: function () { return _this.clickOnNews.emit({ place: "img", item: _this.post }); } }), h("span", { class: this.ColorCategory(this.post.category), onClick: function () { return _this.clickOnCategoryNews.emit({
                place: "category",
                item: _this.post,
            }); } }, this.post.category), h("div", { class: "blog-title " }, h("span", { onClick: function () { return _this.clickOnNews.emit({ place: "title", item: _this.post }); }, class: "custom-links" }, this.post.title)), h("div", { class: "btn-read" }, h("span", { class: "custom-links", onClick: function () { return _this.clickOnNews.emit({ place: "btn-read", item: _this.post }); } }, " ", this.post.btnText, " "))));
    };
    return SSaqhanBlogCard;
}());
SSaqhanBlogCard.style = sSaqhanBlogCardCss;
var sSaqhanChatAddQuestionCss = ".btn-new-ask{text-align:center;margin-top:10px}.btn-add-question{border-radius:30px;padding:10px 30px;border:none;background-color:#72b94d;color:#ffffff;text-transform:uppercase;font-size:12px;outline:none;letter-spacing:1px}";
var SSaqhanChatAddQuestion = /** @class */ (function () {
    function SSaqhanChatAddQuestion(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanChatAddQuestion.prototype.render = function () {
        return (h("div", { class: "btn-new-wrap" }, h("div", { class: "btn-new-ask" }, h("button", { class: "btn-add-question" }, "\u0417\u0430\u0434\u0430\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0432\u043E\u043F\u0440\u043E\u0441"))));
    };
    return SSaqhanChatAddQuestion;
}());
SSaqhanChatAddQuestion.style = sSaqhanChatAddQuestionCss;
var sSaqhanChatAppCss = ".wrapper-modal{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end;-ms-flex-direction:column;flex-direction:column;position:fixed;top:2%;right:2%;z-index:999}.btn-open{width:60px;height:60px;font-size:24px;border:none;background-color:#72b94d;color:#fff;border-radius:50%;outline:none !important;cursor:pointer}.open-chat{text-align:right;z-index:999;position:fixed;right:10px;bottom:20px}.open-chat::after{content:\"1\";background-color:#c73f45;position:relative;top:-25px;left:-20px;color:#fff;font-size:12px;padding:5px 10px;border-radius:50%}.message{font-size:14px;height:21px;overflow:hidden;width:260px;margin-top:5px;white-space:nowrap;cursor:pointer}.user{display:-ms-flexbox;display:flex;cursor:pointer;-ms-flex-align:end;align-items:flex-end}.user-img{width:20%;margin:auto}.user-img .img{width:43px;height:43px;border-radius:50%;background-size:cover;margin:auto}.user-info{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;width:90%}.user-info .name{font-weight:500;font-size:13px}::-webkit-scrollbar{width:5px}::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.3);-webkit-border-radius:5px;border-radius:3px}::-webkit-scrollbar-thumb{-webkit-border-radius:10px;border-radius:10px;background:rgba(108, 108, 108, 0.8);-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.5)}::-webkit-scrollbar-thumb:window-inactive{background:rgba(106, 106, 106, 0.4)}@media (max-width: 414px){.wrapper-modal{top:0%;right:0%;max-width:414px}.wrapper-chat{width:414px}.personal-messages{height:80vh}.users{height:80vh}}@media (max-width: 375px){.wrapper-chat{max-width:375px;padding-right:0px}.users{padding:0px 10px}.new-mess{right:12%}}@media (max-width: 320px){.wrapper-chat{max-width:320px}.chat-header a{right:25%}.wrapper-chat{height:110vh}.message-date{font-size:11px}.users{padding:0px 25px}.personal-messages{padding:0 10px}}";
var SSaqhanChatApp = /** @class */ (function () {
    function SSaqhanChatApp(hostRef) {
        registerInstance(this, hostRef);
        /**
         * По умолчанию отображается вид с диалогами
         * */
        this.showContent = "users";
        this.close = createEvent(this, "close", 7);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
        this.selectUsers = createEvent(this, "selectUsers", 7);
        this.selectFiles = createEvent(this, "selectFiles", 7);
        this.clickOnSearchChat = createEvent(this, "clickOnSearchChat", 7);
    }
    SSaqhanChatApp.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "wrapper-modal" }, this.showChat ? (h("s-saqhan-chat-wrapper", { onSelectPersonal: function () { return _this.onSelectPersonal(); }, onSelectUsers: function () { return _this.onSelectUsers(); }, onSelectFiles: function () { return _this.onSelectFiles(); }, onClose: function () { return _this.onClose(); }, showContent: this.showContent })) : (""), h("div", { class: "btn-wrapper" }, h("div", { class: "open-chat" }, h("button", { onClick: function () { return _this.isShowChat(); }, class: "btn-open" }, h("span", null, this.showChat ? (h("i", { class: "fas fa-times" })) : (h("i", { class: "far fa-comment-dots" }))))))));
    };
    /**
     * Метод для изменения состояния чата
     * */
    SSaqhanChatApp.prototype.isShowChat = function () {
        this.showChat = !this.showChat;
    };
    /**
     * Метод для закрытия чата
     * */
    SSaqhanChatApp.prototype.onClose = function () {
        this.showChat = false;
    };
    /**
     * Если кликнули на диалог и открываем личные сообщения пользователя
     * */
    SSaqhanChatApp.prototype.onSelectPersonal = function () {
        return (this.showContent = "personal");
    };
    /**
     * Метод для открывания диалогов
     * */
    SSaqhanChatApp.prototype.onSelectUsers = function () {
        return (this.showContent = "users");
    };
    /**
     * Метод для выбора раздела файлов
     * */
    SSaqhanChatApp.prototype.onSelectFiles = function () {
        return (this.showContent = "files");
    };
    return SSaqhanChatApp;
}());
SSaqhanChatApp.style = sSaqhanChatAppCss;
var sSaqhanChatFilesCss = ".wrapper-files{height:65vh;padding:0px 10px}.block-file{cursor:pointer}.chat-files .row{-ms-flex-align:center;align-items:center}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f0eb\";position:relative;left:20px;z-index:999;color:#5a5a5a}.block-file i{font-size:16px;color:#5a5a5a}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.file-card{padding-top:10px;border-bottom:1px solid #e5e5e5}.block-info{display:-ms-flexbox;display:flex;margin-bottom:15px}.file-date{font-size:14px;font-weight:500;margin-bottom:10px}.file-img{width:60px;height:60px;margin-right:15px;border-radius:3px;background-image:url(\"https://via.placeholder.com/500x500?text=Visit\")}.file-name{font-size:14px;font-weight:500;margin-bottom:10px}.file-size{font-size:12px;color:#5a5a5a}.block-files{display:-ms-flexbox;display:flex;width:75%;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between}.block-repost{-webkit-transition:0.3s easy;transition:0.3s easy}.block-repost a{display:none;color:#000;font-size:12px;margin-left:10px}.block-info:hover .block-repost a{display:inline-block;cursor:pointer}@media (max-width: 375px){.input-search{width:auto;padding:10px 30px}}@media (max-width: 320px){.wrapper-chat{width:320px}}";
var SSaqhanChatFiles = /** @class */ (function () {
    function SSaqhanChatFiles(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanChatFiles.prototype.render = function () {
        return (h("div", { class: "col-12 wrapper-files" }, h("div", { class: "file-card" }, h("div", { class: "file-date" }, "19 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), h("div", { class: "block-info" }, h("div", { class: "file-img" }), h("div", { class: "block-files" }, h("div", { class: "file-info" }, h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), h("div", { class: "block-repost" }, h("a", { href: "#" }, h("i", { class: "fas fa-share" })), h("a", { href: "#" }, h("i", { class: "fas fa-download" })))))), h("div", { class: "file-card" }, h("div", { class: "file-date" }, "17 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), h("div", { class: "block-info" }, h("div", { class: "file-img" }), h("div", { class: "block-files" }, h("div", { class: "file-info" }, h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), h("div", { class: "block-repost" }, h("a", { href: "#" }, h("i", { class: "fas fa-share" })), h("a", { href: "#" }, h("i", { class: "fas fa-download" }))))), h("div", { class: "block-info" }, h("div", { class: "file-img" }), h("div", { class: "block-files" }, h("div", { class: "file-info" }, h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), h("div", { class: "block-repost" }, h("a", { href: "#" }, h("i", { class: "fas fa-share" })), h("a", { href: "#" }, h("i", { class: "fas fa-download" }))))))));
    };
    return SSaqhanChatFiles;
}());
SSaqhanChatFiles.style = sSaqhanChatFilesCss;
var sSaqhanChatFilesWrapperCss = "";
var SSaqhanChatFilesWrapper = /** @class */ (function () {
    function SSaqhanChatFilesWrapper(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanChatFilesWrapper.prototype.render = function () {
        return (h("div", null, h("s-saqhan-chat-form-search-files", null), h("s-saqhan-chat-files", null)));
    };
    return SSaqhanChatFilesWrapper;
}());
SSaqhanChatFilesWrapper.style = sSaqhanChatFilesWrapperCss;
var sSaqhanChatFormSearchCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.block-input{width:80%;text-align:left;margin-right:-15px}.input-search{width:95%;border-radius:3px;border:none;background-color:#ececec;outline:none;color:#5a5a5a;padding-top:10px;padding-bottom:10px;padding-left:40px;margin-left:-10px}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:20px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.chat-files{}.input-search{width:auto;padding:10px 30px}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.block-input{text-align:center}}";
var SSaqhanChatFormSearch = /** @class */ (function () {
    function SSaqhanChatFormSearch(hostRef) {
        registerInstance(this, hostRef);
        this.selectFiles = createEvent(this, "selectFiles", 7);
        this.clickOnSearchChat = createEvent(this, "clickOnSearchChat", 7);
    }
    SSaqhanChatFormSearch.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "header-wrapper" }, h("div", { class: " chat-files" }, h("div", { class: "block-input" }, h("input", { type: "text", class: "input-search", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0447\u0430\u0442\u043E\u0432 \u0438 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u0439", onInput: function (event) { return _this.clickOnSearchChat.emit(event); } })), h("div", { class: "block-file", onClick: function () { return _this.selectFiles.emit(); } }, h("i", { class: "far fa-file-alt" })))));
    };
    return SSaqhanChatFormSearch;
}());
SSaqhanChatFormSearch.style = sSaqhanChatFormSearchCss;
var sSaqhanChatFormSearchFilesCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.input-search-files{width:80%;border-radius:3px;border:none;background-color:#ececec;padding:10px 40px;outline:none}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:20px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.input-search{width:auto;padding:10px 30px}}";
var SSaqhanChatFormSearchFiles = /** @class */ (function () {
    function SSaqhanChatFormSearchFiles(hostRef) {
        registerInstance(this, hostRef);
        this.selectUsers = createEvent(this, "selectUsers", 7);
    }
    SSaqhanChatFormSearchFiles.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "header-wrapper" }, h("div", { class: " chat-files" }, h("div", { class: "btn-back", onClick: function () { return _this.selectUsers.emit(); } }, h("span", null, h("i", { class: "fas fa-chevron-left" }))), h("div", { class: "block-input" }, h("input", { type: "text", class: "input-search-files", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0444\u0430\u0439\u043B\u043E\u0432" })), h("div", { class: "block-file" }, h("i", { class: "fas fa-filter" })))));
    };
    return SSaqhanChatFormSearchFiles;
}());
SSaqhanChatFormSearchFiles.style = sSaqhanChatFormSearchFilesCss;
var sSaqhanChatMainUserCss = ".main-wrapper{width:100%;padding:15px 0px;border-bottom:1px solid #ececec}";
var SSaqhanChatMainUser = /** @class */ (function () {
    function SSaqhanChatMainUser(hostRef) {
        registerInstance(this, hostRef);
    }
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    SSaqhanChatMainUser.prototype.render = function () {
        return (h("div", { class: "main-wrapper" }, h(MainUserMessage, { main: this.mainUser })));
    };
    return SSaqhanChatMainUser;
}());
var MainUserMessage = function (props) {
    return props.main.map(function (item) {
        return h("s-saqhan-chat-main-user-card", { main: item });
    });
};
SSaqhanChatMainUser.style = sSaqhanChatMainUserCss;
var sSaqhanChatMainUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-wrapper-main{padding:0px 10px;display:-ms-flexbox;display:flex;margin-right:0px;padding-right:15px}.left{width:15%;margin:auto;display:inline-block}.right-main{width:80%;overflow:hidden;display:inline-block;border:none}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e;margin-right:5px}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.new-mess{right:6%}.user-mess::after{right:15%}}@media (max-width: 375px){.right{width:77%}.new-mess{right:16%}.user-mess::after{right:25%}.user-wrapper{width:365px}.user-wrapper-main{padding-right:0px;padding:0px 0px}}@media (max-width: 320px){.user-wrapper{width:100%}.message-date{font-size:11px}.right{width:80%}.new-mess{right:27%}.user-mess::after{right:40%}}";
var SSaqhanChatMainUserCard = /** @class */ (function () {
    function SSaqhanChatMainUserCard(hostRef) {
        registerInstance(this, hostRef);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
    }
    SSaqhanChatMainUserCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "user-wrapper-main", onClick: function () { return _this.selectPersonal.emit(); } }, h("div", { class: "left" }, h("div", { class: "img-user", style: { backgroundImage: "url(" + this.main.img + ")" } })), h("div", { class: "right-main" }, h("div", { class: "user-data" }, h("div", { class: "user-name" }, this.main.name), h("div", { class: "message-date" }, " ", this.main.date, " ")), h("div", { class: "mess-wrapper" }, h("div", { class: "user-mess" }, this.main.message), h("div", { class: "new-mess-wrap" }, h("span", { class: "new-mess" }, "2"))))));
    };
    return SSaqhanChatMainUserCard;
}());
SSaqhanChatMainUserCard.style = sSaqhanChatMainUserCardCss;
var sSaqhanChatPersonalCss = ".header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}.personal-messages .user{-ms-flex-align:center;align-items:center}.personal-messages{width:100%}.personal-messages .chat-user-main{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between;margin:10px;padding-left:15px}.personal-messages .chat-user-main .user-img{width:50px;padding-right:5px}.name{font-weight:500}.menu-personal i{color:#ccc;margin-right:15px;cursor:pointer}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.personal-mess,.admin-mess{padding:0 15px;font-size:14px}.personal-mess{display:-ms-flexbox;display:flex;-ms-flex-pack:end;justify-content:flex-end}.mess-user{padding:10px;background-color:#feffc5;border-radius:3px;width:80%;margin:5px 0}.mess-admin{background-color:#ececec;width:80%;padding:10px;border-radius:3px;margin:10px 0}.position-admin span{font-size:12px;color:#8e8e8e;font-weight:500}.mess-date{font-size:11px;color:#8e8e8e;margin-left:5px}.mess-date::before{content:\"\\f058\";font-family:\"Font Awesome 5 Free\";color:#9a9ab5;font-size:10px;margin-right:3px}.messages-block{height:66vh}.messages-block{overflow:scroll;overflow-x:hidden}@media (max-width: 414px){.messages-block{height:74vh}}@media (max-width: 375px){.messages-block{height:72vh}}@media (max-width: 320px){.wrapper-chat{width:100%;height:100vh}.messages-block{height:67vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";
var SSaqhanChatPersonal = /** @class */ (function () {
    function SSaqhanChatPersonal(hostRef) {
        registerInstance(this, hostRef);
        this.selectUsers = createEvent(this, "selectUsers", 7);
    }
    SSaqhanChatPersonal.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "personal-messages" }, h("div", { class: "col-12 chat-user-main" }, h("div", { class: "user" }, h("div", { class: "btn-back", onClick: function () { return _this.selectUsers.emit(); } }, h("span", null, h("i", { class: "fas fa-chevron-left" }))), h("div", { class: "user-img" }, h("div", { class: "img", style: { backgroundImage: "url(https://via.placeholder.com/500)" } })), h("div", { class: "personal-user" }, h("div", { class: "name" }, "\u041A\u0441\u0435\u043D\u0438\u044F"))), h("div", { class: "menu-personal" }, h("i", { class: "fas fa-ellipsis-v" }))), h("div", { class: "messages-block" }, h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u0412\u0438\u0440\u0443\u0441 \u044D\u0432\u043E\u043B\u0438\u0446\u0438\u043E\u043D\u0438\u0440\u0443\u0435\u0442!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0422\u0430\u043A \u0434\u0430\u0432\u0430\u0439\u0442\u0435 \u0441\u043D\u0438\u043C\u0438\u043C \u043A\u0430\u0440\u0430\u043D\u0442\u0438\u043D, \u043F\u0443\u0441\u0442\u044C \u0432\u0441\u0435 \u0432\u044B\u0439\u0434\u0443\u0442 \u043D\u0430 \u0440\u0430\u0431\u043E\u0442\u0443!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u041C\u0438\u0440\u043E\u0432\u043E\u0439 \u0437\u0430\u0433\u043E\u0432\u0440, \u0432\u0441\u0435 \u043E\u0431 \u044D\u0442\u043E\u043C \u0437\u043D\u0430\u044E\u0442!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u041C\u044B \u0441 \u0412\u0430\u043C\u0438 \u0441\u043E\u0433\u043B\u0430\u0441\u043D\u044B \u0438 \u0441\u0435\u0439\u0447\u0430\u0441 \u043F\u0435\u0440\u0435\u0432\u0435\u043B\u0438 \u043C\u0438\u043B\u043B\u0438\u043E\u043D \u043D\u0430 \u043B\u0435\u0447\u0435\u043D\u0438\u0435."), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043E\u0447\u0435\u043D\u044C \u0446\u0435\u043D\u044E!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u0413\u0434\u0435 \u0434\u0435\u043D\u044C\u0433\u0438, \u041B\u0435\u0431\u043E\u0432\u0441\u043A\u0438\u0439?"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Hello there! pls tell me, where a u?"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Well done!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Well done!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Well done!"), h("span", { class: "mess-date" }, "30.08.2020 09:20")))), h("s-saqhan-chat-add-question", null)));
    };
    return SSaqhanChatPersonal;
}());
SSaqhanChatPersonal.style = sSaqhanChatPersonalCss;
var sSaqhanChatUserCss = "";
var SSaqhanChatUser = /** @class */ (function () {
    function SSaqhanChatUser(hostRef) {
        registerInstance(this, hostRef);
    }
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    SSaqhanChatUser.prototype.render = function () {
        return (h("div", { class: "user-wrapper" }, h(UserMessage, { user: this.messages })));
    };
    return SSaqhanChatUser;
}());
var UserMessage = function (props) {
    return props.user.map(function (item) {
        return h("s-saqhan-chat-user-card", { user: item });
    });
};
SSaqhanChatUser.style = sSaqhanChatUserCss;
var sSaqhanChatUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-card{cursor:pointer;padding:5px 0px;display:-ms-flexbox;display:flex}.left{width:15%;margin:auto;display:inline-block}.user-right{width:80%;overflow:hidden;display:inline-block;border-bottom:1px solid #ececec;padding-bottom:5px}.mess-wrapper{display:-ms-flexbox;display:flex}.positon-user{font-size:10px;background-color:#efd96e;color:#5a5a5a;border-radius:15%;padding:1px 5px;margin-bottom:5px;margin-top:10px;display:inline-block}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free;margin-right:5px}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap;width:100%;overflow:hidden}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.user-mess::after{right:10%}}@media (max-width: 375px){.new-mess{right:12%}}";
var SSaqhanChatUserCard = /** @class */ (function () {
    function SSaqhanChatUserCard(hostRef) {
        registerInstance(this, hostRef);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
    }
    SSaqhanChatUserCard.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("div", { class: "user-card", onClick: function () { return _this.selectPersonal.emit(); } }, h("div", { class: "left" }, h("div", { class: "img-user", style: { backgroundImage: "url(" + this.user.img + ")" } })), h("div", { class: "user-right" }, h("div", { class: "user-data" }, h("div", { class: "user-name" }, this.user.name), h("div", { class: "message-date" }, this.user.date)), h("div", { class: "mess-wrapper" }, h("div", { class: "user-mess" }, this.user.message), h("div", { class: "new-mess-wrap" }, h("span", { class: "new-mess" }, "1"))), this.user.position ? h("span", { class: "positon-user" }, this.user.position) : ''))));
    };
    return SSaqhanChatUserCard;
}());
SSaqhanChatUserCard.style = sSaqhanChatUserCardCss;
var sSaqhanChatUsersCss = ".user-wrapper{cursor:pointer;padding:0px 10px;padding-right:15px}@media (max-width: 375px){.user-wrapper{cursor:pointer;padding:0px 0px;padding-right:0px}}";
var SSaqhanChatUsers = /** @class */ (function () {
    function SSaqhanChatUsers(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanChatUsers.prototype.render = function () {
        return h("div", { class: "user-wrapper" }, h("s-saqhan-chat-main-user", { mainUser: this.mainUser }), h("s-saqhan-chat-user", { messages: this.messages }));
    };
    return SSaqhanChatUsers;
}());
SSaqhanChatUsers.style = sSaqhanChatUsersCss;
var sSaqhanChatUsersWrapperCss = ".chat-wrap{width:100%;height:65vh;overflow:overlay}@media (max-width: 414px){.chat-wrap{height:76vh}}@media (max-width: 375px){.chat-wrap{height:78vh}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.chat-wrap{height:72vh}.block-input{text-align:center}}@media (height: 1366px) and (width: 1024px ){.chat-wrap{height:72vh}}@media (height: 1024px) and (width: 768px ){.chat-wrap{height:68vh}}@media (max-width: 375px) and (max-height: 667px){.chat-wrap{height:74vh}}@media (max-width: 320px) and (max-height: 568px){.chat-wrap{height:68vh}}";
var SSaqhanChatUsersWrapper = /** @class */ (function () {
    function SSaqhanChatUsersWrapper(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanChatUsersWrapper.prototype.render = function () {
        return (h("div", null, h("s-saqhan-chat-form-search", null), h("div", { class: "chat-wrap" }, h("s-saqhan-chat-users", { messages: this.messages, mainUser: this.mainUser })), h("s-saqhan-chat-add-question", null)));
    };
    return SSaqhanChatUsersWrapper;
}());
SSaqhanChatUsersWrapper.style = sSaqhanChatUsersWrapperCss;
var sSaqhanChatWrapperCss = ".wrapper-chat{-webkit-box-shadow:0 0 10px 1px #828282;box-shadow:0 0 10px 1px #828282;border-radius:5px;margin-bottom:10px;width:400px;height:85vh;background-color:#fff}.header-chat{background-color:#ececec;text-align:center;padding:10px 0px;font-weight:500;border-top-left-radius:5px;border-top-right-radius:5px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}@media (max-width: 414px){.wrapper-chat{width:414px;height:100vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";
var SSaqhanChatWrapper = /** @class */ (function () {
    function SSaqhanChatWrapper(hostRef) {
        registerInstance(this, hostRef);
        this.ShowContent = function (content) {
            switch (content) {
                case "personal":
                    return h("s-saqhan-chat-personal", null);
                case "users":
                    return h("s-saqhan-chat-users-wrapper", { messages: messages, mainUser: mainUser });
                case "files":
                    return h("s-saqhan-chat-files-wrapper", null);
            }
        };
        this.close = createEvent(this, "close", 7);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
        this.selectUsers = createEvent(this, "selectUsers", 7);
        this.selectFiles = createEvent(this, "selectFiles", 7);
    }
    SSaqhanChatWrapper.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "wrapper-chat" }, h("div", { class: "header-chat" }, "\u0427\u0430\u0442 \u0441 \u0431\u0430\u043D\u043A\u043E\u043C", h("a", { href: "#", onClick: function () { return _this.close.emit(); } }, h("i", { class: "fas fa-times-circle" }))), h("div", { class: "content-chat" }, this.ShowContent(this.showContent))));
    };
    return SSaqhanChatWrapper;
}());
SSaqhanChatWrapper.style = sSaqhanChatWrapperCss;
var sSaqhanComponentCss = "";
var SSaqhanComponent = /** @class */ (function () {
    function SSaqhanComponent(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanComponent.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl, onClickToLogo: function (item) {
                console.log("clickOnLogo", item);
            }, onClickOnMenu: function (item) { return _this.clickOnMenu(item); }, onClickOnSubscribeButton: function (event) { return _this.clickOnSubscribeButton(event); } }), h("s-saqhan-first-slider", { onClickOnCategoryNews: function (event) { return _this.clickOnCategoryNews(event); }, onClickOnNews: function (event) { return _this.clickOnNews(event); }, blogCarouselMock: blogCarouselMock }), h("s-saqhan-new-blog", { blogPost: blogPost, onClickOnNews: function (event) { return _this.clickOnNews(event); }, onClickOnCategoryNews: function (event) { return _this.clickOnCategoryNews(event); } }), h("s-saqhan-popular-news", { popularNews: popularNews, bannerPopular: bannerPopular, onClickOnNews: function (event) { return _this.clickOnNews(event); } }), h("s-saqhan-events-blog", { onClickOnNews: function (event) { return _this.clickOnNews(event); }, onClickOnCategoryNews: function (event) { return _this.clickOnCategoryNews(event); }, events: events }), h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: function (event) { return _this.clickOnSubscribeButton(event); } }), h("s-saqhan-app-footer", { onClickOnMenu: function (item) { return _this.clickOnMenu(item); }, footerItems: footerItems, footerInfo: footerInfo, footerCopyright: footerCopyright }), h("s-saqhan-chat-app", { messages: messages, mainUser: mainUser, onClickOnSearchChat: function (event) { return _this.clickOnSearchChat(event); } })));
    };
    /**
     *  Клик по меню
     */
    SSaqhanComponent.prototype.clickOnMenu = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по новости
     * */
    SSaqhanComponent.prototype.clickOnNews = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по категории публикации
     * */
    SSaqhanComponent.prototype.clickOnNewsCategory = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по кнопке подписаться
     * */
    SSaqhanComponent.prototype.clickOnSubscribeButton = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Клик по категории
     * */
    SSaqhanComponent.prototype.clickOnCategoryNews = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     *  Метод поиска по чату
     * */
    SSaqhanComponent.prototype.clickOnSearchChat = function (_a) {
        var detail = _a.detail;
        return console.log(detail.data);
    };
    return SSaqhanComponent;
}());
SSaqhanComponent.style = sSaqhanComponentCss;
var sSaqhanEventCardCss = ".blog-img{width:310px;height:210px;background-size:cover;background-position:center;margin-bottom:20px}.blog-title{margin-top:10px;font-weight:600}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}@media (max-width: 414px){.blog-card{width:85%;margin:auto;margin-bottom:15px}.block-title{text-align:center}}@media (max-width: 375px){.blog-img{width:100%}}@media (max-width: 320px){.blog-img{width:100%}}";
var SSaqhanEventCard = /** @class */ (function () {
    function SSaqhanEventCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category text-warning small custom-links";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    SSaqhanEventCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img custom-links", style: { backgroundImage: "url(" + this.event.img + ")" }, onClick: function () { return _this.clickOnNews.emit({ place: "img", item: _this.event }); } }, h("span", { class: !this.event.date ? "no-date" : "date-event" }, " ", this.event.date, " ")), h("span", { class: this.ColorCategory(this.event.category), onClick: function () { return _this.clickOnCategoryNews.emit({
                place: "category",
                item: _this.event,
            }); } }, this.event.category), h("div", { class: "blog-title", onClick: function () { return _this.clickOnNews.emit({ place: "title", item: _this.event }); } }, h("span", { class: "custom-links" }, this.event.title)), h("div", { class: "btn-read ", onClick: function () { return _this.clickOnNews.emit({ place: "btn-read", item: _this.event }); } }, h("span", { class: "custom-links" }, " ", this.event.btnText, " "))));
    };
    return SSaqhanEventCard;
}());
SSaqhanEventCard.style = sSaqhanEventCardCss;
var sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";
var SSaqhanEventsBlog = /** @class */ (function () {
    function SSaqhanEventsBlog(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    /**
     * Получаем элементы ивентов
     * */
    SSaqhanEventsBlog.prototype.getEvents = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanEventsBlog.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: " pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), h("div", { class: "row" }, h(EventsPost, { event: this.getEvents(this.events) })))));
    };
    return SSaqhanEventsBlog;
}());
/**
 * Компонентная функция для передачи элементов из массива в дочерний компонент
 * */
var EventsPost = function (props) {
    return props.event.map(function (item) {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" }, h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;
var sSaqhanFirstSliderCss = "";
var SSaqhanFirstSlider = /** @class */ (function () {
    function SSaqhanFirstSlider(hostRef) {
        registerInstance(this, hostRef);
        /**
         * массив новостей для вывода
         */
        this.blogCarouselMock = [];
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    /**
     * Фильтруем для главной новости
     * */
    SSaqhanFirstSlider.prototype.mainNews = function (arr) {
        return (arr.filter(function (item) { return item.main; }) || []).slice(-1);
    };
    SSaqhanFirstSlider.prototype.lentaNews = function (arr) {
        return arr
            .filter(function (item) { return item.lenta; })
            .slice(-4)
            .reverse();
    };
    SSaqhanFirstSlider.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12 col-lg-7" }, h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), h("div", { class: "col-12 col-lg-5" }, h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    };
    return SSaqhanFirstSlider;
}());
/**
 * Компонентная функция для главной новости
 * */
var MainNews = function (props) {
    return props.arr.map(function (item) {
        return h("s-saqhan-main-news-card", { mainNews: item });
    });
};
/**
 * Компонентная функция для ленты новостей
 * */
//лента новостей
var LentaNews = function (props) {
    return props.lenta.map(function (item) {
        return (h("s-saqhan-lenta-news-card", { lentaNews: item }));
    });
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;
var sSaqhanHeaderAppCss = ".logo-header{width:125px;height:30px;background-position:center;background-size:cover}.custom-links{cursor:pointer}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}.header-nav{-ms-flex-pack:justify;justify-content:space-between}.header-right{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}.nav-link.header{cursor:pointer}";
var SSaqhanHeaderApp = /** @class */ (function () {
    function SSaqhanHeaderApp(hostRef) {
        registerInstance(this, hostRef);
        /**
         * массив меню для вывода
         */
        this.menu = [];
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
        this.clickOnSubscribeButton = createEvent(this, "clickOnSubscribeButton", 7);
        this.clickToLogo = createEvent(this, "clickToLogo", 7);
    }
    SSaqhanHeaderApp.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col" }, h("header", null, h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex " }, h("a", { onClick: function () { return _this.clickToLogo.emit({ place: "logo", item: _this.logoUrl }); }, class: "navbar-brand logo-header custom-links", style: { backgroundImage: "url( " + this.logoUrl.img + " )" } }), h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, h("span", { class: "navbar-toggler-icon" })), h("div", { class: "collapse navbar-collapse header-nav", id: "navbarSupportedContent" }, h("ul", { class: "navbar-nav " }, h(ItemLink, { arr: this.menu })), h("div", { class: "header-right" }, h("a", { href: "#", class: "pr-4" }, h("i", { class: "fas fa-search" })), h("form", { onSubmit: function (event) { return (event.preventDefault()); }, class: "form" }, h("div", { class: "input-group" }, h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { onClick: function () { return _this.clickOnSubscribeButton.emit({ place: "SubscribeButton", item: _this.subscribeText }); }, class: "btn btn-primary btn-custom-head" }, this.subscribeText))))))))))));
    };
    return SSaqhanHeaderApp;
}());
var ItemLink = function (props) {
    return props.arr.map(function (item) {
        return (h("menu-item", { arr: item }));
    });
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;
var sSaqhanLentaNewsCardCss = ".btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.lenta-news{padding-bottom:20px;display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex:1;flex:1}.lenta-img{width:110px;height:110px;background-size:cover;border-radius:3px;margin-right:35px}.lenta-info{-ms-flex:2;flex:2}.lenta-title{font-size:15px;margin-top:10px;font-weight:600}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (min-width: 768px){.lenta-title-first{width:100%}}";
var SSaqhanLentaNewsCard = /** @class */ (function () {
    function SSaqhanLentaNewsCard(hostRef) {
        registerInstance(this, hostRef);
        /**
         * Метод для выбора цвета категории публикации
         * */
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    SSaqhanLentaNewsCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "lenta-news " }, h("div", { class: "lenta-img pr-4 custom-link", onClick: function () { return _this.clickOnNews.emit({ place: 'img', item: _this.lentaNews }); }, style: { backgroundImage: "url(" + this.lentaNews.img + ")" } }), h("div", { class: "lenta-info " }, h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'category', item: _this.lentaNews }); }, class: this.ColorCategory(this.lentaNews.category) }, h("span", { class: "custom-link" }, this.lentaNews.category)), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'title', item: _this.lentaNews }); }, class: "lenta-title " }, h("span", { class: "custom-link" }, this.lentaNews.title)), h("div", { class: "btn-read custom-link" }, h("span", { onClick: function () { return _this.clickOnNews.emit({ place: 'btn-read', item: _this.lentaNews }); } }, this.lentaNews.btnText)))));
    };
    return SSaqhanLentaNewsCard;
}());
SSaqhanLentaNewsCard.style = sSaqhanLentaNewsCardCss;
var sSaqhanMainNewsCardCss = ".btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read span{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read span:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.custon-link{cursor:pointer}.img-news{height:308px;background-size:cover;background-position:center;border-radius:3px}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.category-news{font-weight:600}.title-news{margin-top:10px;font-weight:600}.category-main{margin-top:15px}.sub-title-news{margin:30px 0px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (max-width: 768px){.main-news{margin-bottom:20px}}@media (max-width: 992px){.img-news img{height:auto}}";
var SSaqhanMainNewsCard = /** @class */ (function () {
    function SSaqhanMainNewsCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category category-news small custon-link";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar " + classCategory:
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    SSaqhanMainNewsCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "main-news" }, h("div", null, h("div", { class: "img-news m-auto custon-link", onClick: function () { return _this.clickOnNews.emit({ place: 'img', item: _this.mainNews }); }, style: { backgroundImage: "url(" + this.mainNews.img + ")" } }), h("div", { class: "category-main", onClick: function () { return _this.clickOnNews.emit({ place: 'category', item: _this.mainNews }); } }, h("span", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category)), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'title', item: _this.mainNews }); }, class: "title-news custon-link" }, h("span", { class: "custon-link" }, h("h2", null, this.mainNews.title))), h("div", { onClick: function () { return _this.clickOnNews.emit({ place: 'subTitle', item: _this.mainNews }); }, class: "sub-title-news " }, h("span", { class: "text-muted custon-link" }, this.mainNews.subTitle)), h("span", { onClick: function () { return _this.clickOnNews.emit({ place: 'btn read', item: _this.mainNews }); }, class: "btn btn-primary btn-custom custon-link" }, this.mainNews.btnText))));
    };
    return SSaqhanMainNewsCard;
}());
SSaqhanMainNewsCard.style = sSaqhanMainNewsCardCss;
var sSaqhanNewBlogCss = "";
var SSaqhanNewBlog = /** @class */ (function () {
    function SSaqhanNewBlog(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    SSaqhanNewBlog.prototype.getNewPosts = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanNewBlog.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold" }, "New Blog Post"))), h("div", { class: "row" }, h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    };
    return SSaqhanNewBlog;
}());
var NewPostCard = function (props) {
    return (props.post.map(function (item) {
        return h("div", { class: "col-12 col-md-6 col-lg-4 " }, h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;
var sSaqhanPopularCardCss = ".lenta-category{font-weight:600}.news-block{display:-ms-flexbox;display:flex}.news-block{min-height:160px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.news-img{width:248px;height:128px;background-size:cover;background-position:center;border-radius:3px;margin-right:30px}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2;font-weight:500;min-height:65px}.lenta-img{width:128px;height:128px;background-size:cover;margin-right:30px;border-radius:3px}.lenta-category{font-size:12px;color:#007bff}@media (min-width: 768px){.lenta-title{width:75%}}@media (max-width: 768px){.lenta-title{width:100%}}@media (max-width: 414px){.blog-img{margin:auto}.block-title{text-align:center}}";
var SSaqhanPopularCard = /** @class */ (function () {
    function SSaqhanPopularCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "lenta-category category custom-links";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    SSaqhanPopularCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "news-block" }, h("div", { class: "news-img custom-links", style: { backgroundImage: "url(" + this.post.img + ")" }, onClick: function () { return _this.clickOnNews.emit({ place: "img", item: _this.post }); } }), h("div", { class: "news-info" }, h("span", { class: this.ColorCategory(this.post.category), onClick: function () { return _this.clickOnNews.emit({ place: "category", item: _this.post }); } }, this.post.category), h("div", { class: "lenta-title " }, h("span", { class: "custom-links", onClick: function () { return _this.clickOnNews.emit({ place: "title", item: _this.post }); } }, this.post.title)), h("div", { class: "btn-read" }, h("span", { class: "custom-links", onClick: function () { return _this.clickOnNews.emit({ place: "btn-read", item: _this.post }); } }, this.post.btnText)))));
    };
    return SSaqhanPopularCard;
}());
SSaqhanPopularCard.style = sSaqhanPopularCardCss;
var sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;-ms-flex-direction:column;flex-direction:column;border-radius:3px}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";
var SSaqhanPopularNews = /** @class */ (function () {
    function SSaqhanPopularNews(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    /**
     *  Получаем популярные новости
     * */
    SSaqhanPopularNews.prototype.getPopularNews = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanPopularNews.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), h("div", { class: "col-12 col-lg-7" }, h("div", { class: "cards-popular" }, h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner", style: { backgroundImage: "url(" + this.bannerPopular.img + ")" } }, h("div", { class: "banner-title text-center text-white", onClick: function () { return _this.clickOnNews.emit({
                place: "title",
                item: _this.bannerPopular,
            }); } }, this.bannerPopular.title), h("div", { class: "btn-read pt-3", onClick: function () { return _this.clickOnNews.emit({
                place: "btn-read",
                item: _this.bannerPopular,
            }); } }, h("span", null, this.bannerPopular.nameLink))))));
    };
    return SSaqhanPopularNews;
}());
var CardPopular = function (props) {
    return props.post.map(function (item) {
        return h("s-saqhan-popular-card", { post: item });
    });
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;
var sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px;border-radius:3px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.custom-links{cursor:pointer}.btn-read-sub span{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read-sub span:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos span{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos span:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";
var SSaqhanSubscBanner = /** @class */ (function () {
    function SSaqhanSubscBanner(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnSubscribeButton = createEvent(this, "clickOnSubscribeButton", 7);
    }
    SSaqhanSubscBanner.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, h("div", { class: "col-12 col-lg-6 left" }, h("div", { class: "sub-title" }, h("h1", null, " ", this.subscribeBlockText.title, " ")), h("div", { class: "subs-sub-title text-muted" }, this.subscribeBlockText.subTitle, h("span", { class: "btn-read-sub", onClick: function () { return _this.clickOnSubscribeButton.emit({ place: 'See pricing', item: _this.subscribeText }); } }, h("span", { class: "custom-links" }, " ", this.subscribeBlockText.nameLink)))), h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, h("div", { class: "col-12" }, h("form", { class: "form", onSubmit: function (event) { return event.preventDefault(); } }, h("div", { class: "input-group" }, h("i", { class: "fas fa-at" }), h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { onClick: function () { return _this.clickOnSubscribeButton.emit({ place: 'btn-subscribe', item: _this.subscribeText }); }, class: "btn btn-primary btn-custom-head", type: "submit" }, this.subscribeText))))), h("div", { class: "col-12" }, h("div", { class: "logos text-center text-muted pt-4" }, h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "far fa-address-book" })), h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "fas fa-paper-plane" })), h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "fas fa-envelope" })), h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "fas fa-map-marked" }))))))));
    };
    return SSaqhanSubscBanner;
}());
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;
export { FooterFirstItem as footer_first_item, FooterWrapper as footer_wrapper, MenuItem as menu_item, SSaqhanAppFooter as s_saqhan_app_footer, SSaqhanBlogCard as s_saqhan_blog_card, SSaqhanChatAddQuestion as s_saqhan_chat_add_question, SSaqhanChatApp as s_saqhan_chat_app, SSaqhanChatFiles as s_saqhan_chat_files, SSaqhanChatFilesWrapper as s_saqhan_chat_files_wrapper, SSaqhanChatFormSearch as s_saqhan_chat_form_search, SSaqhanChatFormSearchFiles as s_saqhan_chat_form_search_files, SSaqhanChatMainUser as s_saqhan_chat_main_user, SSaqhanChatMainUserCard as s_saqhan_chat_main_user_card, SSaqhanChatPersonal as s_saqhan_chat_personal, SSaqhanChatUser as s_saqhan_chat_user, SSaqhanChatUserCard as s_saqhan_chat_user_card, SSaqhanChatUsers as s_saqhan_chat_users, SSaqhanChatUsersWrapper as s_saqhan_chat_users_wrapper, SSaqhanChatWrapper as s_saqhan_chat_wrapper, SSaqhanComponent as s_saqhan_component, SSaqhanEventCard as s_saqhan_event_card, SSaqhanEventsBlog as s_saqhan_events_blog, SSaqhanFirstSlider as s_saqhan_first_slider, SSaqhanHeaderApp as s_saqhan_header_app, SSaqhanLentaNewsCard as s_saqhan_lenta_news_card, SSaqhanMainNewsCard as s_saqhan_main_news_card, SSaqhanNewBlog as s_saqhan_new_blog, SSaqhanPopularCard as s_saqhan_popular_card, SSaqhanPopularNews as s_saqhan_popular_news, SSaqhanSubscBanner as s_saqhan_subsc_banner };
