import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';

const sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";

const SSaqhanAuthorInfo = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnLink = createEvent(this, "clickOnLink", 7);
    }
    getAuthor(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" }, h(CardAuthor, { author: this.getAuthor(this.author) })));
    }
};
const CardAuthor = (props) => {
    return props.author.map((item) => {
        return (h("div", { class: "content-text" }, h("hr", null), h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;

const sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";

const SSaqhanLineBook = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnLink = createEvent(this, "clickOnLink", 7);
    }
    /**
     * Функция для получения данных
     * */
    getBanner(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", null, h(Banner, { bannerPost: this.getBanner(this.banner) })));
    }
};
/**
 * компонентная функция для разбивки массива
 * */
const Banner = (props) => {
    return props.bannerPost.map((item) => {
        return (h("div", { class: "container" }, h("s-saqhan-card-banner", { bannerPost: item })));
    });
};
SSaqhanLineBook.style = sSaqhanLineBookCss;

const sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";

const SSaqhanQuoteText = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: " col " }, h("div", { class: "quote-text" }, this.quoteText.text)))));
    }
};
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;

const secondTitleBlockCss = ".title-wrapper{margin:50px 0px}.header-img-title{width:80%;margin:auto;min-height:500px;background-color:red;background-size:cover;background-position:center}.text-title{width:70%;margin:50px auto;text-align:justify}.second-category{color:#0f91e3;font-size:14px;font-weight:500;text-align:center;margin-bottom:30px}.second-title-news{font-size:24px;width:50%;margin:auto;text-align:center;font-weight:700;margin-bottom:30px}.second-title-author{font-size:13px;margin-bottom:30px;text-align:center}.second-title-author .name{font-weight:700}.second-title-author .date{color:#ccc}";

const SecondTitleBlock = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnLink = createEvent(this, "clickOnLink", 7);
    }
    render() {
        return (h("div", { class: "container title-wrapper" }, h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "second-category custom-links ", onClick: () => this.clickOnLink.emit({ place: 'category', item: this.secondTitle }) }, this.secondTitle.category), h("div", { class: "second-title-news custom-links", onClick: () => this.clickOnLink.emit({ place: 'title', item: this.secondTitle }) }, this.secondTitle.title), h("div", { class: "second-title-author" }, h("div", { class: "name custom-links", onClick: () => this.clickOnLink.emit({ place: 'name', item: this.secondTitle }) }, this.secondTitle.authorName), h("div", { class: "date custom-links", onClick: () => this.clickOnLink.emit({ place: 'date', item: this.secondTitle }) }, this.secondTitle.date)))), h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "header-img-title custom-links", onClick: () => this.clickOnLink.emit({ place: 'img', item: this.secondTitle }), style: { backgroundImage: `url(${this.secondTitle.img})` } }))), h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "text-title" }, this.secondTitle.text)))));
    }
};
SecondTitleBlock.style = secondTitleBlockCss;

export { SSaqhanAuthorInfo as s_saqhan_author_info, SSaqhanLineBook as s_saqhan_line_book, SSaqhanQuoteText as s_saqhan_quote_text, SecondTitleBlock as second_title_block };
