import { ComponentInterface, EventEmitter } from "../../stencil-public-runtime";
import { mainUser, messages } from "../s-saqhan-component/res/interface/common.interface";
export declare class SSaqhanChatApp implements ComponentInterface {
    /**
     * Массив данных для главного пользователя (админа)
     **/
    mainUser: mainUser[];
    /**
     * Массив данных для обычных пользователей
     * */
    messages: messages[];
    /**
     * Перменная для включения/отключения показа чата в развернутом виде
     * */
    showChat: boolean;
    /**
     * По умолчанию отображается вид с диалогами
     * */
    showContent: string;
    /**
     * Переменная для закрытия модального чата
     **/
    close: boolean;
    /**
     * Событие при клике на диалог, открываем личные сообщения
     * */
    selectPersonal: string;
    /**
     * Открываем диалоги
     * */
    selectUsers: string;
    /**
     * Открываем файлы чата
     * */
    selectFiles: string;
    /**
     * Клик по кнопке в чате
     * */
    clickOnSearchChat: EventEmitter;
    render(): any;
    /**
     * Метод для изменения состояния чата
     * */
    isShowChat(): void;
    /**
     * Метод для закрытия чата
     * */
    onClose(): void;
    /**
     * Если кликнули на диалог и открываем личные сообщения пользователя
     * */
    onSelectPersonal(): string;
    /**
     * Метод для открывания диалогов
     * */
    onSelectUsers(): string;
    /**
     * Метод для выбора раздела файлов
     * */
    onSelectFiles(): string;
}
